unit Langue_PDE;

{ Language unit for PocketDivXEncoder }


interface
  Procedure Apply_Language(lang:string);


implementation
  uses Unit1, Unit2, Unit5, Unit6, Unit7, Unit8, Unit11, Unit12, Graphics, IniFiles, SysUtils;




var
  Ini1:TIniFile;



Procedure Apply_Language(lang:string);
begin
  if (FileExists(Form1.TempRep+lang+'.ini')) then
  begin
    Ini1:=TIniFile.Create(Form1.TempRep+lang+'.ini');
    with Form1 do
    begin
      Version:='0.4.5';
      Form1.Caption:='PocketDivXEncoder ('+Version+')';
      if Ini1.ValueExists('Form1','Nickname') then
        Form1.Caption:=Form1.Caption+' - translated by '+Ini1.ReadString('Form1','Nickname','');
      Form1.Caption:='';

      Label1.Caption:=Ini1.ReadString('Form1','Label1.Caption','');
      Label2.Caption:=Ini1.ReadString('Form1','Label2.Caption','');
      Label3.Caption:=Ini1.ReadString('Form1','Label3.Caption','');
      Label4.Caption:=Ini1.ReadString('Form1','Label4.Caption','');
      Label6.Caption:=Ini1.ReadString('Form1','Label6.Caption','');
      Label7.Caption:=Ini1.ReadString('Form1','Label7.Caption','');
      Label10.Caption:=Ini1.ReadString('Form1','Label10.Caption','');
      Label12.Caption:=Ini1.ReadString('Form1','Label12.Caption','');
      Label16.Caption:=Ini1.ReadString('Form1','Label16.Caption','');
      Label17.Caption:=Ini1.ReadString('Form1','Label17.Caption','');
      Label19.Caption:=Ini1.ReadString('Form1','Label19.Caption','');
      Label22.Caption:=Ini1.ReadString('Form1','Label22.Caption','');
      Label24.Caption:=Ini1.ReadString('Form1','Label24.Caption','Contrast :');
      Label28.Caption:=Ini1.ReadString('Form1','Label28.Caption','Orientation : ');

      Button1.Caption:=Ini1.ReadString('Form1','Button1.Caption','');
      Button1.Hint:=Ini1.ReadString('Form1','Button1.Hint','');
      dxButton1.Caption:=Ini1.ReadString('Form1','dxButton1.Caption','');
      dxButton1.Hint:=Ini1.ReadString('Form1','dxButton1.Hint','');
      dxButton2.Caption:=Ini1.ReadString('Form1','dxButton2.Caption','');
      dxButton2.Hint:=Ini1.ReadString('Form1','dxButton2.Hint','');
      dxButton3.Caption:=Ini1.ReadString('Form1','dxButton3.Caption','');
      dxButton3.Hint:=Ini1.ReadString('Form1','dxButton3.Hint','');
      dxButton4.Caption:=Ini1.ReadString('Form1','dxButton4.Caption','');
      dxButton4.Hint:=Ini1.ReadString('Form1','dxButton4.Hint','');
      dxButton5.Caption:=Ini1.ReadString('Form1','dxButton5.Caption','');
      dxButton5.Hint:=Ini1.ReadString('Form1','dxButton5.Hint','');
      dxButton6.Caption:=Ini1.ReadString('Form1','dxButton6.Caption','');
      dxButton6.Hint:=Ini1.ReadString('Form1','dxButton6.Hint','');
      dxButton7.Caption:=Ini1.ReadString('Form1','dxButton7.Caption','');
      dxButton7.Hint:=Ini1.ReadString('Form1','dxButton7.Hint','');
      dxButton8.Caption:=Ini1.ReadString('Form1','dxButton8.Caption','');
      dxButton8.Hint:=Ini1.ReadString('Form1','dxButton8.Hint','');
      dxButton9.Caption:=Ini1.ReadString('Form1','dxButton9.Caption','');
      dxButton9.Hint:=Ini1.ReadString('Form1','dxButton9.Hint','');
      dxButton10.Caption:=Ini1.ReadString('Form1','dxButton10.Caption','');
      dxButton10.Hint:=Ini1.ReadString('Form1','dxButton10.Hint','');
      dxButton11.Caption:=Ini1.ReadString('Form1','dxButton11.Caption','');
      dxButton11.Hint:=Ini1.ReadString('Form1','dxButton11.Hint','');
      dxButton12.Caption:=Ini1.ReadString('Form1','dxButton12.Caption','');
      dxButton12.Hint:=Ini1.ReadString('Form1','dxButton12.Hint','');
      dxButton13.Caption:=Ini1.ReadString('Form1','dxButton13.Caption','');
      dxButton13.Hint:=Ini1.ReadString('Form1','dxButton13.Hint','');
      dxButton14.Caption:=Ini1.ReadString('Form1','dxButton14.Caption','');
      dxButton14.Hint:=Ini1.ReadString('Form1','dxButton14.Hint','');
      dxButton15.Caption:=Ini1.ReadString('Form1','dxButton15.Caption','');
      dxButton15.Hint:=Ini1.ReadString('Form1','dxButton15.Hint','');
      dxButton16.Caption:=Ini1.ReadString('Form1','dxButton16.Caption','');
      dxButton16.Hint:=Ini1.ReadString('Form1','dxButton16.Hint','');
      dxButton17.Caption:=Ini1.ReadString('Form1','dxButton17.Caption','');
      dxButton17.Hint:=Ini1.ReadString('Form1','dxButton17.Hint','');
      dxButton19.Caption:=Ini1.ReadString('Form1','dxButton19.Caption','Load settings');
      dxButton19.Hint:=Ini1.ReadString('Form1','dxButton19.Hint','Load some preset parameters from a file');
      dxButton20.Caption:=Ini1.ReadString('Form1','dxButton20.Caption','Save settings');
      dxButton20.Hint:=Ini1.ReadString('Form1','dxButton20.Hint','Save some preset parameters to a file');
      dxButton21.Caption:=Ini1.ReadString('Form1','dxButton21.Caption','');
      dxButton21.Hint:=Ini1.ReadString('Form1','dxButton21.Hint','Open a subtitle file');
      dxButton18.Caption:=Ini1.ReadString('Form1','dxButton18.Caption','Upgrade to Lathe');
      dxButton18.Hint:=Ini1.ReadString('Form1','dxButton18.Hint','Take me to the Omniquiti store to buy Lathe at a discount price');
      dxButton23.Caption:=Ini1.ReadString('Form1','dxButton23.Caption','Make a donation');
      dxButton23.Hint:=Ini1.ReadString('Form1','dxButton23.Hint','If you want to support the author of PocketDivXEncoder, please make a donation');

      dxCheckbox1.Caption:=Ini1.ReadString('Form1','dxCheckbox1.Caption','');
      dxCheckbox1.Hint:=Ini1.ReadString('Form1','dxCheckbox1.Hint','');
      dxCheckbox2.Caption:=Ini1.ReadString('Form1','dxCheckbox2.Caption','Framerate (fps) :');
      dxCheckbox2.Hint:=Ini1.ReadString('Form1','dxCheckbox2.Hint','Force the output framerate');
      dxCheckbox3.Caption:=Ini1.ReadString('Form1','dxCheckbox3.Caption','No audio');
      dxCheckbox3.Hint:=Ini1.ReadString('Form1','dxCheckbox3.Hint','Create a video file with no audio stream');
      dxCheckbox6.Caption:=Ini1.ReadString('Form1','dxCheckbox6.Caption','Direct audio stream copy');
      dxCheckbox6.Hint:=Ini1.ReadString('Form1','dxCheckbox6.Hint','No audio re-compression');
      dxCheckbox7.Caption:=Ini1.ReadString('Form1','dxCheckbox7.Caption','IVTC');
      dxCheckbox7.Hint:=Ini1.ReadString('Form1','dxCheckbox7.Hint','Useful for fixing syncing issues with NTSC movies');
      dxCheckbox8.Caption:=Ini1.ReadString('Form1','dxCheckbox8.Caption','De-interlace');
      dxCheckbox8.Hint:=Ini1.ReadString('Form1','dxCheckbox8.Hint','De-interlace output');
      dxCheckbox9.Caption:=Ini1.ReadString('Form1','dxCheckbox9.Caption','VHQ');
      dxCheckbox9.Hint:=Ini1.ReadString('Form1','dxCheckbox9.Hint','Very High Quality - '+Form1.dxCheckbox1.Hint);
      dxCheckbox10.Caption:=Ini1.ReadString('Form1','dxCheckbox10.Caption','XviD');
      dxCheckbox10.Hint:=Ini1.ReadString('Form1','dxCheckbox10.Hint','Use the XviD codec as the video compressor');
      dxCheckbox12.Caption:=Ini1.ReadString('Form1','dxCheckbox12.Caption','B-Frames');
      dxCheckbox12.Hint:=Ini1.ReadString('Form1','dxCheckbox12.Hint','Adds Bidirectionnal Frames into the video created.');
      sCheckbox1.Caption:=Ini1.ReadString('Form1','sCheckbox1.Caption','Direct video stream copy');
      sCheckbox1.Hint:=Ini1.ReadString('Form1','sCheckbox1.Hint','The video stream is not reencoded');
      sCheckbox2.Caption:=Ini1.ReadString('Form1','sCheckbox2.Caption','"Live" effect');
      sCheckbox2.Hint:=Ini1.ReadString('Form1','sCheckbox2.Hint','Gives the audio track a "live" effect by increasing the differences between the right and left audio channels');
      sCheckbox3.Caption:=Ini1.ReadString('Form1','sCheckbox3.Caption','Audio normalization');
      sCheckbox3.Hint:=Ini1.ReadString('Form1','sCheckbox3.Hint','Dynamically raises the volume when it is low and lowers it when it is high');

      //OpenDialog1.Filter:=Ini1.ReadString('Form1','OpenDialog1.Filter','');
      SaveDialog1.Title:=Ini1.ReadString('Form1','SaveDialog1.Title','');
      OpenDialog2.Filter:=Ini1.ReadString('Form1','OpenDialog2.Filter','');
      OpenDialog2.Title:=Ini1.ReadString('Form1','OpenDialog2.Title','');
      SaveDialog2.FileName:=Ini1.ReadString('Form1','SaveDialog2.FileName','');
      SaveDialog2.Filter:=Ini1.ReadString('Form1','SaveDialog2.Filter','');
      SaveDialog2.Title:=Ini1.ReadString('Form1','SaveDialog2.Title','');
      OpenDialog3.Filter:=Ini1.ReadString('Form1','OpenDialog3.Filter','');
      OpenDialog3.Title:=Ini1.ReadString('Form1','OpenDialog3.Title','');
      //OpenDialog5.Filter:=Ini1.ReadString('Form1','OpenDialog5.Filter','Subtitle file|*.sub;*.srt;*.mds;*.ssa');
      OpenDialog5.Title:=Ini1.ReadString('Form1','OpenDialog5.Title','Select a subtitle file');
      Lang_ChooseSubtitles:=OpenDialog5.Title;

      Lang_Finalsize:=Ini1.ReadString('Form1','Lang_Finalsize','');
      Lang_ExtractSources:=Ini1.ReadString('Form1','Lang_ExtractSources','');
      Lang_EmptyField:=Ini1.ReadString('Form1','Lang_EmptyField','');
      Lang_ExistingFile:=StringReplace(Ini1.ReadString('Form1','Lang_ExistingFile',''),'''#13''',''#13'',[rfReplaceAll,rfIgnoreCase]);
      Lang_notEnoughFreeSpace:=Ini1.ReadString('Form1','Lang_notEnoughFreeSpace','');
      Lang_FreeSpace:=Ini1.ReadString('Form1','Lang_FreeSpace','');
      Lang_NeededSpace:=Ini1.ReadString('Form1','Lang_NeededSpace','');
      Lang_VideoSize:=Ini1.ReadString('Form1','Lang_VideoSize','');
      Lang_RemainingTask:=Ini1.ReadString('Form1','Lang_RemainingTask','');
      Lang_AddChapters:=Ini1.ReadString('Form1','Lang_AddChapters','');
      Lang_AddChaptersHint:=Ini1.ReadString('Form1','Lang_AddChaptersHint','');
      Lang_CuttingVideo:=Ini1.ReadString('Form1','Lang_CuttingVideo','');
      Lang_SelectVideoPart:=Ini1.ReadString('Form1','Lang_SelectVideoPart','');
      Lang_OutputAVIOptions:=Ini1.ReadString('Form1','Lang_OutputAVIOptions','');
      Lang_OutputOGMOptions:=Ini1.ReadString('Form1','Lang_OutputOGMOptions','');
      Lang_DirectXWarning:=Ini1.ReadString('Form1','Lang_DirectXWarning','Your DirectX version seems to be too old. You should upgrade your DirectX version to 9.0 in order to enable all the features.');
      Lang_WaitForPreview:=Ini1.ReadString('Form1','Lang_WaitForPreview','Please, wait for the preview to be created...');
      Lang_DeviceDimensions:=Ini1.ReadString('Form1','Lang_DeviceDimensions','The dimensions of the output movie won''t exceed : ');
      Lang_DeviceType:=Ini1.ReadString('Form1','Lang_DeviceType','Select Your Target Device Below : ');
      Lang_Dimensions:=Ini1.ReadString('Form1','Lang_Dimensions','Size : ');
      Lang_SubtitleDetected:=Ini1.ReadString('Form1','Lang_SubtitleDetected','A subtitle file has been detected. Do you want to encode it together with the video stream ?');
      Lang_SaveSettings:=Ini1.ReadString('Form1','Lang_SaveSettings','Save settings');
      Lang_AutomaticCropping:=Ini1.ReadString('Form1','Lang_AutomaticCropping','Autodetection');
      Lang_AutomaticCroppingHint:=Ini1.ReadString('Form1','Lang_AutomaticCroppingHint','Automatically detect black borders');
      Lang_NoCodec:=Ini1.ReadString('Form1','Lang_NoCodec','No suitable codec found for your input movie. I''m extracting a random frame of the movie.');
      Lang_NoDivX:=Ini1.ReadString('Form1','Lang_NoCodec','The DivX codec is not installed on your system. You should download it from http://www.divx.com');
      Lang_MaximumResolution:=Ini1.ReadString('Form1','Lang_MaximumResolution','Maximum resolution');
      Lang_SmallResolution:=Ini1.ReadString('Form1','Lang_SmallResolution','Small');
      Lang_MediumResolution:=Ini1.ReadString('Form1','Lang_MediumResolution','Medium');
      Lang_HighResolution:=Ini1.ReadString('Form1','Lang_HighResolution','High');
      Lang_VeryHighResolution:=Ini1.ReadString('Form1','Lang_VeryHighResolution','Very high');
      Lang_SmallResolution_Hint:=Ini1.ReadString('Form1','Lang_SmallResolution_Hint','(for viewing movies on the Archos screen)');
      Lang_MediumResolution_Hint:=Ini1.ReadString('Form1','Lang_MediumResolution_Hint','(for viewing movies on the Archos screen)');
      Lang_HighResolution_Hint:=Ini1.ReadString('Form1','Lang_HighResolution_Hint','(for viewing movies on the TV or the computer screen)');
      Lang_VeryHighResolution_Hint:=Ini1.ReadString('Form1','Lang_VeryHighResolution_Hint','(for viewing movies on a high resolution screen - not recommended)');

      Label27.Caption:=Lang_DeviceType+' '+Device;
      if Form1.ArchosScreen=1 then
      begin
        Label15.Caption:=Lang_MaximumResolution+' : '+Lang_HighResolution;
        Label36.Caption:=StringReplace(Lang_HighResolution_Hint,'Archos',getShortDevice,[rfIgnoreCase,rfReplaceAll]);
      end
      else if Form1.ArchosScreen=2 then
      begin
        Label15.Caption:=Lang_MaximumResolution+' : '+Lang_VeryHighResolution;
        Label36.Caption:=StringReplace(Lang_VeryHighResolution_Hint,'Archos',getShortDevice,[rfIgnoreCase,rfReplaceAll]);
      end
      else
      begin
        Label15.Caption:=Lang_MaximumResolution+' : '+Lang_MediumResolution;
        Label36.Caption:=StringReplace(Lang_MediumResolution_Hint,'Archos',getShortDevice,[rfIgnoreCase,rfReplaceAll]);
      end;
      Label36.Caption:=StringReplace(Label36.Caption,'l''Encoded','l''appareil',[rfIgnoreCase,rfReplaceAll]);
      Label36.Caption:=StringReplace(Label36.Caption,'the Encoded','the device',[rfIgnoreCase,rfReplaceAll]);
      Label36.Caption:=StringReplace(Label36.Caption,'Encoded','PMP',[rfIgnoreCase,rfReplaceAll]);
      Label36.Caption:=StringReplace(Label36.Caption,'l''Archos','l''appareil',[rfIgnoreCase,rfReplaceAll]);
      Label36.Caption:=StringReplace(Label36.Caption,'the Archos','the device',[rfIgnoreCase,rfReplaceAll]);
      Label36.Caption:=StringReplace(Label36.Caption,'Archos','PMP',[rfIgnoreCase,rfReplaceAll]);
//      OpenDialog1.Filter:='Video file|*.avi;*.pva;*.nsv;*.vob;*.3gp;*.mp4;*.m4v;*.rm;*.rv9;*.rv;*.ram;*.rmvb;*.divx;*.mpg;*.mpeg;*.qt;*.mov;*.ty;*.ogm;*.mkv;*.dv;*.m1v;*.m2v;*.dat;*.swf;*.mpe;*.264;*.vid';
      OpenDialog1.Filter:='Video file|*.avi;*.pva;*.nsv;*.vob;*.3gp;*.mp4;*.m4v;*.ram;*.divx;*.mpg;*.mpeg;*.qt;*.mov;*.ty;*.ogm;*.mkv;*.dv;*.m1v;*.m2v;*.dat;*.swf;*.mpe;*.264;*.vid;*.dvr-ms;*.dvrms;*.dvr;*.flv;*.ts;*.tp;*.hd;*.hdtv';
//      OpenDialog5.Filter:=Ini1.ReadString('Form1','OpenDialog5.Filter','Subtitle file|*.sub;*.srt;*.mds;*.ssa');
      OpenDialog5.Filter:='Subtitle file|*.sub;*.srt;*.mds;*.ssa;*.ass';
    end;


    with Form2 do
    begin
      Caption:=Ini1.ReadString('Form2','Caption','');
      Label3.Caption:=Ini1.ReadString('Form2','Label3.Caption','');
      Button1.Caption:=Ini1.ReadString('Form2','Button1.Caption','');
      Button1.Hint:=Ini1.ReadString('Form2','Button1.Hint','');
      dxCheckbox3.Hint:=Ini1.ReadString('Form2','dxCheckbox3.Hint','');
      dxCheckbox3.Caption:=Ini1.ReadString('Form2','dxCheckbox3.Caption','');
      Label1.Caption:=Ini1.ReadString('Form2','Label1.Caption','');
      Lang_NormalPriority:=Ini1.ReadString('Form2','Lang_NormalPriority','');
      Lang_HighPriority:=Ini1.ReadString('Form2','Lang_HighPriority','');
      Lang_HighestPriority:=Ini1.ReadString('Form2','Lang_HighestPriority','');
      Lang_EncodingInProgress:=Ini1.ReadString('Form2','Lang_EncodingInProgress','');
      Lang_EncodingInProgress2:=Ini1.ReadString('Form2','Lang_EncodingInProgress2','');
      Lang_RemainingTime:=Ini1.ReadString('Form2','Lang_RemainingTime','');
      Lang_Speed:=Ini1.ReadString('Form2','Lang_Speed','');
      Lang_Size:=Ini1.ReadString('Form2','Lang_Size','');
      Lang_WhichFileIsEncoded:=Ini1.ReadString('Form2','Lang_WhichFileIsEncoded','');
      futureImage16.Hint:=Ini1.ReadString('Form2','futureImage16.Hint','Minimize PocketDivXEncoder...');
      futureImage16.ShowHint:=true;
    end;


    with Form12 do
    begin
      Lang_ResizeVideo:=Ini1.ReadString('Form3','Caption','');
      dxButton1.Caption:=Ini1.ReadString('Form3','dxButton1.Caption','');
      dxButton1.Hint:=Ini1.ReadString('Form3','dxButton1.Hint','');
      dxButton3.Caption:=Ini1.ReadString('Form3','dxButton3.Caption','');
      dxButton3.Hint:=Ini1.ReadString('Form3','dxButton3.Hint','');
      dxButton4.Caption:=Ini1.ReadString('Form3','dxButton4.Caption','Maximize video');
      dxButton4.Hint:=Ini1.ReadString('Form3','dxButton4.Hint','Use this option if you want to maximize the picture by cropping the left and right borders');
      Lang_FullSize:=Ini1.ReadString('Form3','Lang_FullSize','');
      Lang_HalfSize:=Ini1.ReadString('Form3','Lang_HalfSize','');
      Lang_VideoSize:=Ini1.ReadString('Form3','Lang_VideoSize','');
      Lang_FullSizeHint:=Ini1.ReadString('Form3','Lang_FullSizeHint','');
      Lang_HalfSizeHint:=Ini1.ReadString('Form3','Lang_HalfSizeHint','');
      dxCheckbox1.Caption:=Ini1.ReadString('Form3','dxCheckbox1.Caption','');
      dxCheckbox1.Hint:=Ini1.ReadString('Form3','dxCheckbox1.Hint','');

      dxButton2.Hint:=Ini1.ReadString('Form4','Lang_DeleteVideoBeforeMark','');
      dxButton2.Caption:=Ini1.ReadString('Form4','Lang_MarkBegining','');
      Lang_SaveSelectedPart:=Ini1.ReadString('Form4','Lang_SaveSelectedPart','');
      Lang_MarkBegining:=Ini1.ReadString('Form4','Lang_MarkBegining','');
      Lang_MarkEnding:=Ini1.ReadString('Form4','Lang_MarkEnding','');
      Lang_DeleteVideoBeforeMark:=Ini1.ReadString('Form4','Lang_DeleteVideoBeforeMark','');
      Lang_DeleteVideoAfterMark:=Ini1.ReadString('Form4','Lang_DeleteVideoAfterMark','');
      Lang_CuttingVideo:=Ini1.ReadString('Form4','Lang_CuttingVideo','');
      Lang_SelectionBegining:=Ini1.ReadString('Form4','Lang_SelectionBegining','');
      Lang_SelectionEnd:=Ini1.ReadString('Form4','Lang_SelectionEnd','');
      Lang_SelectionFailed:=StringReplace(Ini1.ReadString('Form4','Lang_SelectionFailed',''),'''#13''',''#13'',[rfReplaceAll,rfIgnoreCase]);
    end;


    with Form5 do
    begin
      Label27.Caption:=Ini1.ReadString('Form5','Label27.Caption','');
      Label1.Caption:=Ini1.ReadString('Form5','Label1.Caption','Select the subtitle you want to use');
      dxButton1.Caption:=Ini1.ReadString('Form5','dxButton1.Caption','');
      dxButton1.Hint:=Ini1.ReadString('Form5','dxButton1.Hint','');
      dxButton2.Caption:=Ini1.ReadString('Form5','dxButton2.Caption','Apply');
      dxButton2.Hint:=Ini1.ReadString('Form5','dxButton2.Hint','Add these subtitles into the video picture');
      dxButton3.Caption:=Ini1.ReadString('Form5','dxButton2.Caption','Apply');
      dxButton3.Hint:=Ini1.ReadString('Form5','dxButton3.Hint','Apply');
      Caption:=Ini1.ReadString('Form5','Caption',Label27.Caption);
    end;


    with Form6 do
    begin
      Caption:=Ini1.ReadString('Form6','Caption','');
      LabelURL5.Caption:=Ini1.ReadString('Form6','LabelURL5.Caption','I like this soft and I want to support its author !');
      Label4.Caption:=Ini1.ReadString('Form6','Label4.Caption','');
      dxButton1.Caption:=Ini1.ReadString('Form6','dxButton1.Caption','');
      dxButton1.Hint:=Ini1.ReadString('Form6','dxButton1.Hint','');
      dxButton2.Hint:=Ini1.ReadString('Form6','dxButton2.Hint',Form1.Button1.Hint);
      dxButton3.Caption:=Ini1.ReadString('Form6','dxButton3.Caption','Uninstall');
      dxButton3.Hint:=Ini1.ReadString('Form6','dxButton3.Hint','Delete all registry entries changed by PocketDivXEncoder');
      dxButton4.Caption:=Ini1.ReadString('Form6','dxButton4.Caption','Add a right-click menu');
      dxButton4.Hint:=Ini1.ReadString('Form6','dxButton4.Hint','Add a context menu in the Windows Explorer');
      dxButton5.Caption:=Ini1.ReadString('Form6','dxButton5.Caption','Add a shortcut on your desktop');
      dxButton5.Hint:=Ini1.ReadString('Form6','dxButton5.Hint','Add a shortcut to PocketDivXEncoder on your desktop');
      Form5.dxButton5.Hint:=Ini1.ReadString('Form6','dxButton2.Hint',Form1.Button1.Hint);
      LabelURL1.Caption:=Ini1.ReadString('Form6','LabelURL1.Caption','');
      Form5.Label11.Caption:=Ini1.ReadString('Form6','Label11.Caption','Choose your subtitles font :');
      Label5.Caption:=Ini1.ReadString('Form6','Label5.Caption','Choose your temp directory');
      OperationDoneSuccessfully:=Ini1.ReadString('Form6','OperationDoneSuccessfully','Operation successfully done !');
      EncodeWithPDXE:=Ini1.ReadString('Form6','EncodeWithPDXE','Encode with PocketDivXEncoder');
      PlayWithPDXE:=Ini1.ReadString('Form6','PlayWithPDXE','Play with PocketDivXEncoder');
      Form5.OpenDialog5.Filter:=Ini1.ReadString('Form6','OpenDialog5.Filter','Font file|*.ttf');
      Form5.OpenDialog5.Title:=Ini1.ReadString('Form6','OpenDialog5.Title','Select a font file');
      dxButton15.Caption:=Ini1.ReadString('Form6','dxButton15.Caption','Detailed help');
      dxButton15.Hint:=Ini1.ReadString('Form6','dxButton15.Hint','Show an HTML help file with screenshots and detailed informations about each PDE option');
      LabelURL6.Caption:=Ini1.ReadString('Form6','dxButton15.Caption','Detailed help');
      Help_title:=Ini1.ReadString('Form6','Help_title','PocketDivXEncoder help');
      Help_astuce:=Ini1.ReadString('Form6','Help_astuce','TIP');
      Help_attention:=Ini1.ReadString('Form6','Help_attention','WARNING');
      Help_retoursommaire:=Ini1.ReadString('Form6','Help_retoursommaire','Go back to the top of the page');
      Help_Sommaire:=Ini1.ReadString('Form6','Help_Sommaire','Help index');
      GraphicsOn:=Ini1.ReadString('Form6','GraphicsOn','Set graphics on');
      GraphicsOnHint:=Ini1.ReadString('Form6','GraphicsOnHint','Enable the graphical elements such as background images and "glass" effects');
      GraphicsOff:=Ini1.ReadString('Form6','GraphicsOff','Set graphics off');
      GraphicsOffHint:=Ini1.ReadString('Form6','GraphicsOffHint','Disable the graphical elements such as background images and "glass" effects');
    end;


    with Form7 do
    begin
      Caption:=Ini1.ReadString('Form7','Caption','');
      dxButton15.Caption:=Ini1.ReadString('Form7','dxButton15.Caption','');
      dxButton15.Hint:=Ini1.ReadString('Form7','dxButton15.Hint','');
      dxButton5.Caption:=Ini1.ReadString('Form7','dxButton5.Caption','');
      dxButton5.Hint:=Ini1.ReadString('Form7','dxButton5.Hint','');
      sLabel1.Caption:=Ini1.ReadString('Form7','GroupBox1.Caption','');
      sLabel2.Caption:=Ini1.ReadString('Form7','GroupBox2.Caption','');
      sLabel3.Caption:=Ini1.ReadString('Form7','GroupBox3.Caption','');
      Label1.Caption:=Ini1.ReadString('Form7','Label1.Caption','');
      Label2.Caption:=Ini1.ReadString('Form7','Label2.Caption','');
      Label3.Caption:=Ini1.ReadString('Form7','Label3.Caption','');
      Label4.Caption:=Ini1.ReadString('Form7','Label4.Caption','');
      Label5.Caption:=Ini1.ReadString('Form7','Label5.Caption','');
      Label6.Caption:=Ini1.ReadString('Form7','Label6.Caption','');
      Label7.Caption:=Ini1.ReadString('Form7','Label7.Caption','');
      Label9.Caption:=Ini1.ReadString('Form7','Label9.Caption','');
      Label10.Caption:=Ini1.ReadString('Form7','Label10.Caption','');
      Label11.Caption:=Ini1.ReadString('Form7','Label11.Caption','');
      Label13.Caption:=Ini1.ReadString('Form7','Label13.Caption','');
      Label25.Caption:=Ini1.ReadString('Form7','Label25.Caption','');
      Lang_AudioCodec:=Ini1.ReadString('Form7','Lang_AudioCodec','This audio codec is not supported by your');
      Lang_VideoCodec:=Ini1.ReadString('Form7','Lang_VideoCodec','This video codec is not supported by your');
      Lang_VBR:=Ini1.ReadString('Form7','Lang_VBR','Audio variable bitrate is not supported by your');
      Lang_FPS:=Ini1.ReadString('Form7','Lang_FPS','This framerate is too high for your');
      Lang_Height:=Ini1.ReadString('Form7','Lang_Height','This video height is too high for your');
      Lang_Width:=Ini1.ReadString('Form7','Lang_Width','This video width is too high for your');
      Lang_Bitrate:=Ini1.ReadString('Form7','Lang_Bitrate','This bitrate is too high for your');
      Lang_PPS:=Ini1.ReadString('Form7','Lang_PPS','Too much pixel per second (PPS = Width x Height x Framerate) for your');
      Lang_KO:=Ini1.ReadString('Form7','Lang_KO','This parameter is not compatible with your');
      Lang_OK:=Ini1.ReadString('Form7','Lang_OK','This parameter seems to be compatible with your');
      Lang_BOF:=Ini1.ReadString('Form7','Lang_BOF','Perhaps will this parameter not be supported by your');
      Lang_FAILED:=Ini1.ReadString('Form7','Lang_FAILED','Detection of this parameter has failed. It may not be compatible with your');
      Lang_DivideBy16:=Ini1.ReadString('Form7','Lang_DivideBy16','This number is not a multiple of "16". The file may not be correctly rendered on your');
      dxButton13.Caption:=Ini1.ReadString('Form7','dxButton13.Caption','Play this file');
      dxButton13.Hint:=Ini1.ReadString('Form7','dxButton13.Hint','Press "f" for fullscreen mode and the keyboard arrows for forward/rewind');
    end;


    with Form8 do
    begin
      Lang_EncodingFinished:=Ini1.ReadString('Form8','Lang_EncodingFinished','');
      Caption:=Ini1.ReadString('Form8','dxButton17.Caption','');
      dxButton17.Caption:=Ini1.ReadString('Form8','dxButton17.Caption','');
      dxButton5.Caption:=Ini1.ReadString('Form8','dxButton5.Caption',Form7.dxButton5.Caption);
      dxButton5.Hint:=Ini1.ReadString('Form8','dxButton5.Hint',Form7.dxButton5.Hint);
    end;


    with Form11 do
    begin
      dxCheckbox5.Caption:=Ini1.ReadString('Form11','dxCheckbox5.Caption','Don''t show this message again');
      dxCheckbox5.Hint:=Ini1.ReadString('Form11','dxCheckbox5.Hint','Remember these settings');
      Caption:=Ini1.ReadString('Form11','Caption',Form1.Lang_DeviceType);
      LabelURL1.Caption:=Ini1.ReadString('Form11','LabelURL1.Caption','Download more device templates >>');
      Label3.Caption:=dxCheckbox5.Caption;
      dxCheckbox5.Width:=Label3.Width+32;
    end;
  Ini1.Free;
  end;


  if StrLen(PChar(Form1.Coup2))<2 then
    Form1.Label14.Caption:=Form7.Label4.Caption+' 00:00:00';
end;

end.
