unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, dxCore, dxCheckCtrls,
  dxButton, Registry, DateUtils,
  ProgressCyl, Tlhelp32, shellapi, AppEvnts,
  futureImage, jpeg, EwCheckBox, sSkinProvider, sButton, sComboBox, sGauge,
  Buttons, sBitBtn;

const
  WM_ICONTRAY = WM_USER + 1;

type
  EnumWindowsProc = function (Hwnd : THandle;Param:Pointer):Boolean;stdcall;
  TForm2 = class(TForm)
    Label3: TLabel;
    Button1: TsBitBtn;
    Timer1: TTimer;
    dxCheckbox3: TEwCheckBox;
    ListBox2: TListBox;
    Timer3: TTimer;
    ProgressCyl1: TsGauge;
    ComboBox1: TsComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Panel7: TPanel;
    StatusBar1: TStatusBar;
    futureImage16: TfutureImage;
    sSkinProvider1: TsSkinProvider;
    function ChoperPoucentage() : integer;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer3Timer(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure futureImage16Click(Sender: TObject);
  private
    { Dclarations prives }
    TrayIconData: TNotifyIconData;
  public
    numicon:integer;
    Vieux,Jeune:integer;
    modeogg:integer;
    progress:integer;
    progres_totale:integer;
    Fichier,EtapeEnCours:string;
    Iconify:boolean;

    Lang_EncodingInProgress:string;
    Lang_EncodingInProgress2:string;
    Lang_RemainingTime:string;
    Lang_NormalPriority:string;
    Lang_HighPriority:string;
    Lang_HighestPriority:string;
    Lang_Speed:string;
    Lang_Size:string;
    Lang_WhichFileIsEncoded:string;

    stopper:boolean;
    mettreEnIdle:boolean;
    debut:TDateTime;

    procedure TrayMessage(var Msg: TMessage); message WM_ICONTRAY;

  end;

var
  Form2: TForm2;
  OGG,MENCODER:THandle;
  temps_restant:Int64;
  stopavantlafin:boolean;


implementation
uses Unit1, Unit8;


function GetTitle(Hwnd : THandle;Param:Pointer):Boolean;stdcall;
var
  Text : string;
begin
  SetLength(Text,100);
  GetWindowText(Hwnd,Pchar(Text),100);
  Form2.ListBox2.Items.Add (Text);
  GetTitle := True;
end;



{$R *.dfm}











function MyExitWindows(RebootParam: Longword): Boolean;
var
  TTokenHd: THandle;
  TTokenPvg: TTokenPrivileges;
  cbtpPrevious: DWORD;
  rTTokenPvg: TTokenPrivileges;
  pcbtpPreviousRequired: DWORD;
  tpResult: Boolean;
const
  SE_SHUTDOWN_NAME = 'SeShutdownPrivilege';
begin
  if Win32Platform = VER_PLATFORM_WIN32_NT then
  begin
    tpResult := OpenProcessToken(GetCurrentProcess(),
      TOKEN_ADJUST_PRIVILEGES or TOKEN_QUERY,
      TTokenHd);
    if tpResult then
    begin
      tpResult := LookupPrivilegeValue(nil,
                                       SE_SHUTDOWN_NAME,
                                       TTokenPvg.Privileges[0].Luid);
      TTokenPvg.PrivilegeCount := 1;
      TTokenPvg.Privileges[0].Attributes := SE_PRIVILEGE_ENABLED;
      cbtpPrevious := SizeOf(rTTokenPvg);
      pcbtpPreviousRequired := 0;
      if tpResult then
        Windows.AdjustTokenPrivileges(TTokenHd,
                                      False,
                                      TTokenPvg,
                                      cbtpPrevious,
                                      rTTokenPvg,
                                      pcbtpPreviousRequired);
    end;
  end;
  Result := ExitWindowsEx(RebootParam, 0);
end;




function ASCII2ANSI(AText:string):string;
const
  MaxLength = 4096;
var
  PText : PChar;
begin
  PText:=StrAlloc(MaxLength);
  StrPCopy(PText,AText);
//  {$IFDEF WIN32}
  OEMToChar(PText,PText); {32Bit}
//  {$ELSE}
//  OEMToAnsi(PText,PText); {16Bit}
//  {$ENDIF}
  Result:=StrPas(PText);
  StrDispose(PText);
end;




function KillProcess(executable:string):boolean;
var
 proc:tprocessentry32;
 prh:thandle;
 tab:array[1..1000] of cardinal;
 i:integer;
begin
  result:=false;
  proc.dwSize:=sizeof(proc);
  prh:=createtoolhelp32snapshot(TH32CS_SNAPALL,0);
  process32first(prh,proc);
  tab[1]:=proc.th32ProcessID;
  i:=2;
  while process32next(prh,proc) do
  begin
    tab[i]:=proc.th32ProcessID;
    if StrPos(PChar(extractfilename(proc.szExeFile)),PChar(executable))<>nil then
    begin
      prh:=openprocess(PROCESS_ALL_ACCESS ,true,tab[i]);
      if terminateprocess(prh,tab[i])=true then
        result:=true;
    end;
    i:=i+1;
  end;
end;







function SystemRep():string;
var
    SystemDir : array[0..MAX_PATH] of Char;
    nSize     : DWord;
begin
    nSize := SizeOf(SystemDir);
    GetSystemDirectory(@SystemDir, nSize);
    result := SystemDir;
    if (result[length(result)]<>'\') then result:=result+'\';
end;







function getInfo():integer;
var
  Reg:TRegistry;
  Speed:integer;
begin
  result:=Form2.progress;
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  Reg.OpenKey('', true);
  if Reg.ValueExists('MencoderPos') then
    result:=Reg.ReadInteger('MencoderPos');
  if Reg.ValueExists('MencoderSpeed') then
  begin
    Speed:=Reg.ReadInteger('MencoderSpeed');
    Form2.StatusBar1.Panels[1].Text:=Form2.Lang_Speed+': '+IntToStr(Speed)+' fps';
  end;
  if Reg.ValueExists('MencoderSize') then
  begin
    if ((Form1.modeDVD=false) and (Form1.ListBox1.Items.Count<1)) then
    begin
      if Reg.ValueExists('MencoderSize') then
        Form2.StatusBar1.Panels[2].Text:=Form2.Lang_Size+': '+IntToStr(Reg.ReadInteger('MencoderSize'))+' Mo';
        Form2.Timer3.Enabled:=true;
{
      Form2.Timer3.Enabled:=false;
      if Reg.ValueExists('MencoderTrem') then
      begin
        i:=Reg.ReadInteger('MencoderTrem');
        Hour:=i div 3600;
        Min:=(i-Hour*3600) div 60;
        Sec:=i-Hour*3600-Min*60;
        if Min>1 then
          Form2.Label3.Caption:=Form2.Lang_RemainingTime+' --> '+IntToStr(Hour)+'h '+IntToStr(Min)+'m'
        else
          Form2.Label3.Caption:=Form2.Lang_RemainingTime+' --> '+IntToStr(Min)+'m '+IntToStr(Sec)+'s';
      end;
}
    end;
  end;

  Reg.CloseKey;
  Reg.Free;
end;




function TForm2.ChoperPoucentage() : integer;
var
  i:integer;
  WindowProc:EnumWindowsProc;
begin
  ListBox2.Items.Clear;
  WindowProc := GetTitle;
  EnumWindows(@WindowProc,0);
  i:=0;
  OGG:=0;
  MENCODER:=0;
  while (i<ListBox2.Items.Count) do
  begin
    if StrPos(PChar(LowerCase(ListBox2.Items[i])), PChar('mencoder'))<>nil then
      OGG := FindWindow(nil,Pchar(ListBox2.Items[i]))
    else if StrPos(PChar(LowerCase(ListBox2.Items[i])), PChar('mencoder'))<>nil then
      OGG := FindWindow(nil,Pchar(ListBox2.Items[i]))
    else if StrPos(PChar(LowerCase(ListBox2.Items[i])), PChar('mencoder'))<>nil then
      MENCODER := FindWindow(nil,Pchar(ListBox2.Items[i]))
    else if StrPos(PChar(LowerCase(ListBox2.Items[i])), PChar('mencoder'))<>nil then
      MENCODER := FindWindow(nil,Pchar(ListBox2.Items[i]));
    inc(i);
  end;
  result:=getInfo();
end;


function getPriority(num:integer) : cardinal;
begin
  if num=1 then
    result:=NORMAL_PRIORITY_CLASS
  else if num=2 then
    result:=HIGH_PRIORITY_CLASS
  else
    result:=IDLE_PRIORITY_CLASS;
end;








{
//function BitmapToIcon(Bitmap: TBitmap): TIcon;
procedure BitmapToIcon(Bitmap: TBitmap);
var
 IconInfo: TIconInfo;
 IconBitmap, MaskBitmap: TBitmap;
begin
// IconBitmap:= TBitmap.Create;
// MaskBitmap:= TBitmap.Create;
// IconBitmap.Width:= 16;
// IconBitmap.Height:= 16;
 Form2.Image4.Canvas.Draw(0-i,0,Form2.Image1.Picture.Graphic);
 Form2.Image3.Canvas.Draw(1,1,Form2.Image4.Picture.Graphic);
// IconBitmap.Canvas.Draw(0,0, Bitmap);
// IconBitmap.TransparentColor:= clBlack;
 IconInfo.fIcon:= True;
 //MaskBitmap.Assign(Form2.Image2.Picture.Bitmap);
// IconInfo.hbmMask:= MaskBitmap.MaskHandle;
 IconInfo.hbmMask:= Form2.Image2.Picture.Bitmap.MaskHandle;
// IconInfo.hbmColor:= IconBitmap.Handle;
 IconInfo.hbmColor:= Form2.Image3.Picture.Bitmap.Handle;
 //Result:= TIcon.Create;
 //Result.Handle:= CreateIconIndirect(IconInfo);
 Form2.Ic.Handle:= CreateIconIndirect(IconInfo);
// MaskBitmap.Free;
// IconBitmap.Free;
end;
}




procedure TForm2.Timer1Timer(Sender: TObject);
var
  state:string;
  Reg:TRegistry;
  newetape:integer;
  ProcHandle: THandle;
  Proc: TProcessEntry32;
  Snap: THandle;
  temp:string;
begin
  Timer1.Enabled:=false;
  if Jeune>100 then
    Jeune:=0;
  if Vieux>100 then
    Vieux:=0;
  if ProgressCyl1.Progress>20 then
  begin
    Timer1.Interval:=3600;
    Timer3.Interval:=2400;
  end
  else if ProgressCyl1.Progress>8 then
  begin
    Timer1.Interval:=2400;
    Timer3.Interval:=1200;
  end
  else if ProgressCyl1.Progress>3 then
  begin
    Timer1.Interval:=1600;
    Timer3.Interval:=800;
  end
  else if ProgressCyl1.Progress>0 then
    Timer1.Interval:=1200
  else if ProgressCyl1.Progress=0 then
    Timer1.Interval:=600;
  progress:=ChoperPoucentage();

  // Mettre mencoder en Idle
  if mettreEnIdle=true then
  begin
   SetPriorityClass(GetCurrentProcess, getPriority(ComboBox1.ItemIndex));
   try
    Snap := CreateToolHelp32SnapShot(TH32CS_SNAPALL, 0);
    Proc.dwSize := SizeOf(TProcessEntry32);
    Process32First(Snap, Proc);
    repeat
      if length(string(Proc.szExeFile)) > 0 then
      begin
        if (StrPos(PChar(lowercase(Proc.szExeFile)), PChar('mencoder'))<>nil) then
        begin
          mettreEnIdle:=false;
          ProcHandle := OpenProcess(PROCESS_SET_INFORMATION, false, Proc.th32ProcessID);
          if not SetPriorityClass(ProcHandle, getPriority(ComboBox1.ItemIndex)) then
            mettreEnIdle:=true
          else
            Proc.pcPriClassBase := getPriority(ComboBox1.ItemIndex);
          if ProcHandle > 0 then
            CloseHandle(ProcHandle);
        end;
      end;
    until (not Process32Next(Snap, Proc));
   except
   end;
  end;


  state:=IntToStr(Jeune);
  newetape:=modeogg;
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey(Form1.regkey, true) then
  begin
    if Reg.ValueExists('Etat') then state:=Reg.ReadString('Etat');
    if Reg.ValueExists('NumEtape') then newetape:=StrToInt(Reg.ReadString('NumEtape'));
    if Reg.ValueExists('EtapeEnCours') then
    begin
      EtapeEnCours:=Reg.ReadString('EtapeEnCours');
      Label2.Caption:=Lang_WhichFileIsEncoded+' '+Fichier;
      Label2.Hint:=Lang_WhichFileIsEncoded+Fichier;
      Reg.DeleteValue('EtapeEnCours');
    end;
  end;
  Reg.Free;

  if progress > 10000 then progress:=10000; //092005

  progres_totale:=(Vieux * 10000 + (Jeune - Vieux) * progress) div 100;
  ProgressCyl1.Progress:=progres_totale div 100;

  if Jeune<>StrToInt(state) then
  begin
   mettreEnIdle:=true;
   Vieux:=Jeune;
   Jeune:=StrToInt(state);
   progress:=0;
   ProgressCyl1.Progress:=Vieux;
  end;

  if (newetape<>modeogg) then
  begin
   mettreEnIdle:=true;
   modeogg:=newetape;
   if modeogg=5 then
   begin
    Reg:=TRegistry.Create;
    Reg.RootKey:=HKEY_CURRENT_USER;
    if Reg.OpenKey(Form1.regkey, true) then
    begin
      Reg.DeleteValue('Etat');
      Reg.DeleteValue('NumEtape');
    end;
    Reg.Free;
    if Form1.ListBox1.Items.Count<1 then
    begin
      Timer1.Enabled:=false;
      Timer3.Enabled:=false;
      DeleteFile(Form1.TempRep+'pocketTaches.txt');
      if dxCheckbox3.Checked=true then
        MyExitWindows(EWX_POWEROFF or EWX_FORCE)
      else
      begin
        Timer1.Enabled:=false;
        Timer3.Enabled:=false;
        ProgressCyl1.Progress:=0;
        stopavantlafin:=false;
        stopper:=true;
        Form2.Close;
        Exit;
      end;
    end
    else
    begin
      //Buibui
      Form1.toutCompresser();
      modeogg:=0;
    end;
   end;
  end;
  if stopper=false then
  begin
    Form2.Caption:=IntToStr(ProgressCyl1.Progress)+'% - '+Lang_EncodingInProgress+' - '+Fichier;
    StatusBar1.Panels[3].Text:='Total : '+IntToStr(ProgressCyl1.Progress)+'%';
    StatusBar1.Panels[0].Text:=EtapeEnCours+' ('+FloatToStrF(progress/100,ffFixed,100,2)+'%)';
    temp:=Label2.Caption+' --> '+IntToStr(ProgressCyl1.Progress)+'%';
    if Length(temp)>62 then
      temp:=Lang_EncodingInProgress+'  |  '+IntToStr(ProgressCyl1.Progress)+'%';
    if Length(temp)>62 then
      temp:='PocketDivXEncoder  |  '+IntToStr(ProgressCyl1.Progress)+'%';
    StrCopy(TrayIconData.szTip,PChar(temp));
    if Iconify=true then
      Shell_NotifyIcon(NIM_MODIFY, @TrayIconData);
    Timer1.Enabled:=true;
  end;
end;



procedure TForm2.Button1Click(Sender: TObject);
var
  Reg:TRegistry;
  i:integer;
begin
  stopavantlafin:=true;
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey(Form1.regkey, true) then
    Reg.WriteString('Stopper', 'oui');
  Reg.Free;
  Timer1.Enabled:=false;
  Timer3.Enabled:=false;
  KillProcess('mencoder');
  KillProcess('mencoder');
  KillProcess('mencoder');
  progress:=ChoperPoucentage();
  i:=0;
  while (((MENCODER<>0) or (OGG<>0)) and (i<36)) do
  begin
    KillProcess('mencoder');
    if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
    if OGG<>0 then sendmessage(OGG,wm_close,0,0);
    progress:=ChoperPoucentage();
    if MENCODER<>0 then sendmessage(MENCODER,wm_quit,0,0);
    if OGG<>0 then sendmessage(OGG,wm_quit,0,0);
    progress:=ChoperPoucentage();
    inc(i);
  end;
  ProgressCyl1.Progress:=0;
  Form2.Close;
end;



procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
var
  Reg:TRegistry;
  i:integer;
begin
 Iconify:=false;
 Shell_NotifyIcon(NIM_DELETE, @TrayIconData);
 Form1.Show;
 ShowWindow(Application.Handle,SW_SHOW);
 if Form1.Caption<>'Fermer' then
 begin
  Timer3.Enabled:=false;
  Timer1.Enabled:=false;
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey(Form1.regkey, true) then
    Reg.WriteString('Stopper', 'oui');
  Reg.Free;
  KillProcess('mencoder');
  KillProcess('mencoder');
  KillProcess('mencoder');
  progress:=ChoperPoucentage();
  i:=0;
  while ((MENCODER<>0) or (OGG<>0)) do
  begin
    KillProcess('mencoder');
    if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
    if OGG<>0 then sendmessage(OGG,wm_close,0,0);
    progress:=ChoperPoucentage();
    if MENCODER<>0 then sendmessage(MENCODER,wm_quit,0,0);
    if OGG<>0 then sendmessage(OGG,wm_quit,0,0);
    progress:=ChoperPoucentage();
    inc(i);
    if i>36 then
    begin
      MENCODER:=0;
      OGG:=0;
    end;
  end;

  if dxCheckbox3.Enabled=false then  // Preview
  begin
    Form8.Show;
  end
  else
  begin
        with Form8 do
        begin
          Left:=0;
          Top:=0;
          dxButton17.Visible:=true;
          dxButton17.Caption:=Form8.Caption;
          Label1.Caption:=IntToStr(Form1.nbTaches)+' '+Lang_EncodingFinished;
          Memo1.Lines.Clear;
          Memo1.Lines.Add(Form1.Caption);
          Memo1.Lines.Add('');
          Memo1.Lines.Add('    Template selected : '+Form1.Device);
          Memo1.Lines.Add('');
          Form1.ListBox3.Items.Clear;
          try
            Form1.ListBox3.Items.LoadFromFile(Form1.TempRep+'temp.bat');
            for i:=0 to Form1.ListBox3.Items.Count-1 do
              if StrPos(PChar(Form1.ListBox3.Items[i]),Pchar('echo'))=nil then
                if StrPos(PChar(Form1.ListBox3.Items[i]),Pchar('LauMin'))=nil then
                  Memo1.Lines.Add('>  '+StringReplace(ASCII2ANSI(Form1.ListBox3.Items[i]),' >> 1.txt 2>> 2.txt','',[rfIgnoreCase,rfReplaceAll]));
          except
            Form1.ListBox3.Items.Add('WARNING: Unable to load "'+Form1.TempRep+'temp.bat"');
          end;
          Memo1.Lines.Add('');
          Memo1.Lines.Add('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
          Memo1.Lines.Add('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
          Memo1.Lines.Add('');
          Form1.ListBox3.Items.Clear;
          if FileExists(Form1.TempRep+'1.txt') then
          begin
            try
              Form1.ListBox3.Items.LoadFromFile(Form1.TempRep+'1.txt');
            except
              sleep(600);
              KillProcess('mencoder');
              progress:=ChoperPoucentage();
              if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
              if OGG<>0 then sendmessage(OGG,wm_close,0,0);
              sleep(600);
              KillProcess('mencoder');
              progress:=ChoperPoucentage();
              if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
              if OGG<>0 then sendmessage(OGG,wm_close,0,0);
              sleep(600);
              KillProcess('mencoder');
              progress:=ChoperPoucentage();
              if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
              if OGG<>0 then sendmessage(OGG,wm_close,0,0);
              try
                Form1.ListBox3.Items.LoadFromFile(Form1.TempRep+'1.txt');
              except
                Form1.ListBox3.Items.Add('WARNING: Unable to load "'+Form1.TempRep+'1.txt"');
              end;
            end;
            Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
            Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
            Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
//            Memo1.Lines.AddStrings(Form1.ListBox3.Items);
            for i:=0 to Form1.ListBox3.Items.Count-1 do
              Memo1.Lines.Add(StringReplace(Form1.ListBox3.Items[i],'RIEN','',[rfIgnoreCase,rfReplaceAll]));
          end;
          Form1.ListBox3.Items.Clear;
          if FileExists(Form1.TempRep+'2.txt') then
          begin
            try
              Form1.ListBox3.Items.LoadFromFile(Form1.TempRep+'2.txt');
            except
              sleep(600);
              KillProcess('mencoder');
              progress:=ChoperPoucentage();
              if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
              if OGG<>0 then sendmessage(OGG,wm_close,0,0);
              sleep(600);
              KillProcess('mencoder');
              progress:=ChoperPoucentage();
              if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
              if OGG<>0 then sendmessage(OGG,wm_close,0,0);
              sleep(600);
              KillProcess('mencoder');
              progress:=ChoperPoucentage();
              if MENCODER<>0 then sendmessage(MENCODER,wm_close,0,0);
              if OGG<>0 then sendmessage(OGG,wm_close,0,0);
              try
                Form1.ListBox3.Items.LoadFromFile(Form1.TempRep+'2.txt');
              except
                Form1.ListBox3.Items.Add('WARNING: Unable to load "'+Form1.TempRep+'2.txt"');
              end;
            end;
          end;
          Memo1.Lines.Add('');
          Memo1.Lines.Add('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
          Memo1.Lines.Add('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
          Memo1.Lines.Add('');
          Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
          Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
          Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
          Form1.ListBox3.Items.Delete(Form1.ListBox3.Items.Count-1);
//          Memo1.Lines.AddStrings(Form1.ListBox3.Items);
            for i:=0 to Form1.ListBox3.Items.Count-1 do
              Memo1.Lines.Add(StringReplace(Form1.ListBox3.Items[i],'RIEN','',[rfIgnoreCase,rfReplaceAll]));
          if stopavantlafin=true then
            Memo1.Lines.Add('The encoding process was stopped before the end...');
          dxButton5.Left:=296;
          dxButton5.Top:=48;
          dxButton17.Left:=36;
          dxButton17.Top:=48;
          dxButton17.Width:=200;
          Width:=450;
          Height:=140;
          dxButton17.Visible:=true;
          Label1.Visible:=true;
          Memo1.Visible:=false;
          for i:=0 to Memo1.Lines.Count-1 do
          begin
            if StrPos(PChar(Memo1.Lines[i]), PChar('frameno.avi'))<>nil then
              Memo1.Lines[i]:='';
            if Memo1.Lines[i]=': No such file or directory' then
              Memo1.Lines[i]:='';
            if StrPos(PChar(Memo1.Lines[i]), PChar('codecs.conf'))<>nil then
              Memo1.Lines[i]:='';
            if StrPos(PChar(Memo1.Lines[i]), PChar('codecs.ini'))<>nil then
              Memo1.Lines[i]:='';
            if StrPos(PChar(Memo1.Lines[i]), PChar('The selected video_out device is incompatible with this codec.'))<>nil then
              Memo1.Lines[i]:='';
          end;
        end;
        Form8.Show;
  end;
 end;
end;



procedure TForm2.Timer3Timer(Sender: TObject);
var
  Hour,Min,eltime:Integer;
begin
  progres_totale:=ProgressCyl1.Progress*100;
  if (progres_totale>0) then
  begin
    eltime:=SecondsBetween(debut,Time);
    if eltime > 36 then
      temps_restant:=((eltime*(10000-progres_totale)) div progres_totale + 2 * temps_restant) div 3
    else if eltime > 12 then
      temps_restant:=((eltime*(10000-progres_totale)) div progres_totale + temps_restant) div 2
    else
      temps_restant:=(eltime*(10000-progres_totale)) div progres_totale;
    Hour:=temps_restant div 3600;
    Min:=(temps_restant-Hour*3600) div 60;
    if temps_restant>60 then
      Label3.Caption:=Lang_RemainingTime+' --> '+IntToStr(Hour)+' h '+IntToStr(Min)+' m'
    else
      Label3.Caption:=Lang_RemainingTime+' --> '+IntToStr(temps_restant)+' s';
  end;
end;

procedure TForm2.ComboBox1Change(Sender: TObject);
begin
  mettreEnIdle:=true;
end;



procedure TForm2.TrayMessage(var Msg: TMessage);
begin
  case Msg.lParam of
    WM_LBUTTONDOWN:
    begin
      Iconify:=false;
      Form1.Show;
      Form2.Show;
      ShowWindow(Application.Handle,SW_SHOW);
      Shell_NotifyIcon(NIM_DELETE, @TrayIconData);
    end;
    WM_RBUTTONDOWN:
    begin
      Iconify:=false;
      Form1.Show;
      Form2.Show;
      ShowWindow(Application.Handle,SW_SHOW);
      Shell_NotifyIcon(NIM_DELETE, @TrayIconData);
    end;
  end;
end;

procedure TForm2.FormDestroy(Sender: TObject);
begin
  Iconify:=false;
  Shell_NotifyIcon(NIM_DELETE, @TrayIconData);
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  Iconify:=false;
  numIcon:=0;
end;

procedure TForm2.futureImage16Click(Sender: TObject);
var
  temp:string;
begin
  with TrayIconData do
  begin
    cbSize := SizeOf(TrayIconData);
    Wnd := Handle;
    uID := 0;
    uFlags := NIF_MESSAGE + NIF_ICON + NIF_TIP;
    uCallbackMessage := WM_ICONTRAY;
    hIcon:=Application.Icon.Handle;
    temp:=Label2.Caption+' --> '+IntToStr(ProgressCyl1.Progress)+'%';
    if Length(temp)>62 then
      temp:=Lang_EncodingInProgress+'  |  '+IntToStr(ProgressCyl1.Progress)+'%';
    if Length(temp)>62 then
      temp:='PocketDivXEncoder  |  '+IntToStr(ProgressCyl1.Progress)+'%';
    StrCopy(szTip, PChar(temp));
  end;
  numIcon:=0;
  Shell_NotifyIcon(NIM_ADD, @TrayIconData);
  ShowWindow(Application.Handle,SW_HIDE);
  Form2.Hide;
  Form1.Hide;
  Iconify:=true;
end;

end.
