unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, dxCore, dxButton, ExtCtrls, Buibui, jpeg, Registry,
  sSkinProvider, sComboBox, sEdit, Buttons, sBitBtn, sAlphaListBox;

type
  TForm5 = class(TForm)
    ListBox1: TsListBox;
    Label27: TLabel;
    dxButton1: TsBitBtn;
    Timer1: TTimer;
    ListBox2: TsListBox;
    Label1: TLabel;
    dxButton2: TsBitBtn;
    ListBox3: TsListBox;
    Edit1: TsEdit;
    dxButton5: TsBitBtn;
    Label12: TLabel;
    ComboBox3: TsComboBox;
    Label2: TLabel;
    ComboBox2: TsComboBox;
    Label11: TLabel;
    OpenDialog5: TOpenDialog;
    dxButton3: TsBitBtn;
    sSkinProvider1: TsSkinProvider;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure dxButton1Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure dxButton2Click(Sender: TObject);
    procedure dxButton5Click(Sender: TObject);
    procedure ComboBox3Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure dxButton3Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form5: TForm5;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm5.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Form1.Enabled:=true;
end;

procedure TForm5.FormShow(Sender: TObject);
begin
  Timer1.Enabled:=true;
  Edit1.Text:=Form1.FontFile;
  ComboBox3.ItemIndex:=ComboBox3.Items.IndexOf(Form1.SubSize);
  ComboBox2.ItemIndex:=ComboBox2.Items.IndexOf(Form1.encoding);
end;

procedure TForm5.Timer1Timer(Sender: TObject);
begin
  if ListBox1.ItemIndex>=0 then
    dxButton1.Enabled:=true
  else
    dxButton1.Enabled:=false;
  if ((ListBox2.ItemIndex>=0) or (ListBox3.ItemIndex>=0)) then
    dxButton2.Enabled:=true
  else
    dxButton2.Enabled:=false;
end;

procedure TForm5.dxButton1Click(Sender: TObject);
begin
  Timer1.Enabled:=false;
  with Form1 do
  begin
    nb_audio:=StringReplace(Form5.ListBox1.Items[Form5.ListBox1.ItemIndex],'Stream ','',[rfIgnoreCase,rfReplaceAll]);
    nb_audio:=Bui_ExtraitMot(nb_audio,1,' ');
    nb_audio:=trim(StringReplace(nb_audio,':','',[rfIgnoreCase,rfReplaceAll]));
  end;
  Form5.Close;
end;

procedure TForm5.FormHide(Sender: TObject);
begin
  Form1.Enabled:=true;
end;

procedure TForm5.dxButton2Click(Sender: TObject);
begin
  Timer1.Enabled:=false;
  if ListBox2.ItemIndex>=0 then
    Form1.sub:=' -ifo "'+StringReplace(Form1.Edit1.Text,'_1.vob','_0.ifo',[rfReplaceAll,rfIgnoreCase])+'" -sid '+IntToStr(ListBox2.ItemIndex)
  else if ListBox3.ItemIndex>=0 then
    Form1.sub:='-sid '+IntToStr(ListBox3.ItemIndex)+' '
  else
    Form1.sub:=' ';
  Form5.Close;
end;

procedure TForm5.dxButton5Click(Sender: TObject);
var
  Reg:TRegistry;
begin
  if Opendialog5.Execute then
  begin
    Edit1.Text:=OpenDialog5.FileName;
    Form1.FontFile:=OpenDialog5.FileName;
    Reg := TRegistry.Create;
    Reg.RootKey := HKEY_CURRENT_USER;
    Reg.OpenKey(Form1.regkey,true);
    Reg.WriteString('FontFile2',OpenDialog5.FileName);
    Reg.Free;
  end;
end;

procedure TForm5.ComboBox3Change(Sender: TObject);
var
  Reg:TRegistry;
begin
  Form1.SubSize:=ComboBox3.Text;
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey(Form1.regkey, true) then
    Reg.WriteString('Subsize',Form1.SubSize);
  Reg.CloseKey;
  Reg.Free;
end;

procedure TForm5.ComboBox2Change(Sender: TObject);
begin
  Form1.encoding:=ComboBox2.Text;
end;

procedure TForm5.dxButton3Click(Sender: TObject);
begin
  Timer1.Enabled:=false;
  Form5.Close;
end;

end.
