unit Unit8;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, dxCore, dxButton, ShellAPI, ExtCtrls, jpeg,
  sSkinProvider, Buttons, sBitBtn;

type
  TForm8 = class(TForm)
    dxButton5: TsBitBtn;
    dxButton17: TsBitBtn;
    Label1: TLabel;
    Memo1: TMemo;
    Timer1: TTimer;
    sSkinProvider1: TsSkinProvider;
    procedure dxButton17Click(Sender: TObject);
    procedure dxButton5Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }

    Lang_EncodingFinished:string;
  end;

var
  Form8: TForm8;

implementation

uses Unit1, mapimail, Unit7, Unit2;

{$R *.dfm}

procedure TForm8.dxButton17Click(Sender: TObject);
begin
  if dxButton17.Caption=Form7.dxButton15.Caption then
  begin
    Memo1.Lines.SaveToFile(Form1.TempRep+'Log.txt');
    try
      sendMail('PocketDivXEncoder author', 'wildelnab31@yahoo.fr',
             '', '', dxButton17.Caption+' - Log file attached',
             Form1.Caption+' - Problem description : ', Form1.TempRep+'Log.txt', true);
    except
      on tMailFileException do
        ShellExecute(0, nil, PChar('mailto:author@pocketdivxencoder.net?subject=PocketDivXEncoder Bug Report&body=Please attach the file '+Form1.TempRep+'Log.txt, thank you !'), nil, nil, SW_SHOW);
    end;
  end
  else
  begin
    dxButton5.Left:=368;
    dxButton5.Top:=384;
    dxButton17.Top:=384;
    Form8.Width:=512;
    Form8.Height:=469;
    dxButton17.Left:=16;
    dxButton17.Width:=241;
    Label1.Visible:=false;
    Memo1.Visible:=true;
    dxButton17.Caption:=Form7.dxButton15.Caption;
  end;
end;

procedure TForm8.dxButton5Click(Sender: TObject);
begin
  Form8.Close;
end;

procedure TForm8.FormClose(Sender: TObject; var Action: TCloseAction);
var
  tp:string;
begin
  tp:=Form1.Caption;
  Form1.Caption:='Fermer';
  Form2.Close;
  Form1.Caption:=tp;
  Form1.Enabled:=true;
end;

procedure TForm8.Timer1Timer(Sender: TObject);
var
  rotate:string;
  tep:string;
begin
  Timer1.Enabled:=false;
  if Form2.dxCheckbox3.Enabled=false then  // Preview
  begin
    Form8.Close;
    if Form1.Orientation='Normal' then rotate:=''
    else if Form1.Orientation='Droite' then rotate:='-vf rotate=1 '
    else if Form1.Orientation='Gauche' then rotate:='-vf rotate=2 ';
    tep:=Form1.Edit2.Text;
    Form2.dxCheckbox3.Enabled:=true;
    Form1.modeDVD:=Form2.Label2.Enabled;
    Form2.Label2.Enabled:=true;
    Form2.Label1.Enabled:=true;
    Form1.ListBox1.Items.Clear;
    Form1.ListBox1.Items.AddStrings(Form1.ListBox7.Items);
    Form1.Enabled:=true;
    if FileExists(tep) then
      WinExec(PChar(Form1.TempRep+'mplayer.exe '+rotate+'"'+tep+'"'),SW_HIDE)
    else if FileExists(StringReplace(StringReplace(tep, '_'+Form1.getShortDevice+'', '', [rfReplaceAll,rfIgnoreCase]), '.avi', '_'+Form1.getShortDevice+'.avi', [rfReplaceAll,rfIgnoreCase])) then
      WinExec(PChar(Form1.TempRep+'mplayer.exe '+rotate+'"'+StringReplace(StringReplace(tep, '_'+Form1.getShortDevice+'', '', [rfReplaceAll,rfIgnoreCase]), '.avi', '_'+Form1.getShortDevice+'.avi', [rfReplaceAll,rfIgnoreCase])+'"'),SW_HIDE)
    else if FileExists(StringReplace(tep, '.avi', '_.avi', [rfReplaceAll,rfIgnoreCase])) then
      WinExec(PChar(Form1.TempRep+'mplayer.exe '+rotate+'"'+StringReplace(tep, '.avi', '_.avi', [rfReplaceAll,rfIgnoreCase])+'"'),SW_HIDE);
  end
end;

procedure TForm8.FormActivate(Sender: TObject);
begin
  Timer1.Enabled:=true;
end;

end.
