program PocketDivXEncoder;

uses
  Forms,
  Registry,
  Windows,
  SysUtils,
  Unit1 in 'Unit1.pas' {Form1},
  Unit2 in 'Unit2.pas' {Form2},
  Unit6 in 'Unit6.pas' {Form6},
  Unit7 in 'Unit7.pas' {Form7},
  Langue_PDE in 'Langue_PDE.pas',
  Unit5 in 'Unit5.pas' {Form5},
  Unit8 in 'Unit8.pas' {Form8},
  Unit11 in 'Unit11.pas' {Form11},
  Unit12 in 'Unit12.pas' {Form12};

{$R *.res}

var
  Reg:TRegistry;
  langage_reg:string;
begin
 Application.Initialize;
 if IsPrevInstance= 0 then // Ainsi, on ne dmarre un instance de l'application que s'il n'y a pas une autre application dja lance.
 begin
  Application.Title := 'PocketDivXEncoder';
//  if ParamStr(1)<>'-play' then
//  begin
    Application.CreateForm(TForm1, Form1);
    Application.CreateForm(TForm2, Form2);
    Application.CreateForm(TForm6, Form6);
    Application.CreateForm(TForm7, Form7);
    Application.CreateForm(TForm5, Form5);
    Application.CreateForm(TForm8, Form8);
    Application.CreateForm(TForm11, Form11);
    Application.CreateForm(TForm12, Form12);
//  end;
  Form1.Langue:='en';
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey('Control Panel\International', false) then
  begin
    langage_reg:=lowercase(Reg.ReadString('Locale'));
    if langage_reg='0000040c' then
      Form1.Langue:='fr'
    else if langage_reg='e0010411' then
      Form1.Langue:='ja'
    else if langage_reg='00000411' then
      Form1.Langue:='ja'
    else if langage_reg='0000040d' then
      Form1.Langue:='he'
    else if langage_reg='0000080c' then
      Form1.Langue:='fr'
    else if langage_reg='0000100c' then
      Form1.Langue:='fr'
    else if langage_reg='00000c0c' then
      Form1.Langue:='fr'
    else if langage_reg='0000140c' then
      Form1.Langue:='fr'
    else if langage_reg='0000180c' then
      Form1.Langue:='fr'
    else if langage_reg='00000413' then
      Form1.Langue:='du'
    else if langage_reg='00000813' then
      Form1.Langue:='du'
    else if langage_reg='0000040a' then
      Form1.Langue:='es'
    else if langage_reg='0000080a' then
      Form1.Langue:='es'
    else if langage_reg='00000407' then
      Form1.Langue:='de'
    else if langage_reg='00000807' then
      Form1.Langue:='de'
    else if langage_reg='00000416' then
      Form1.Langue:='pt_br'
    else if langage_reg='00000816' then
      Form1.Langue:='pt'
    else if langage_reg='00000410' then
      Form1.Langue:='it'
    else if langage_reg='00000810' then
      Form1.Langue:='it'
    else if langage_reg='00000405' then
      Form1.Langue:='cz'
    else if langage_reg='00000419' then
      Form1.Langue:='ru'
    else if langage_reg='00000412' then
      Form1.Langue:='ko'
    else if langage_reg='0000041e' then
      Form1.Langue:='th'
    else if langage_reg='0000140e' then
      Form1.Langue:='hu'
    else if langage_reg='0000081a' then
      Form1.Langue:='sr'
    else if langage_reg='00000c1a' then
      Form1.Langue:='sr'
    else if langage_reg='0000041f' then
      Form1.Langue:='tr';
  end;
  Reg.CloseKey;
  Reg.Free;

//  if (Form1.Langue='en') then
//  begin
    Reg:=TRegistry.Create;
    Reg.RootKey:=HKEY_CURRENT_USER;
    if Reg.OpenKey(Form1.regkey, false) then
      if Reg.ValueExists('Locale') then
        if Reg.ValueExists('Version') then
          Form1.Langue:=Reg.ReadString('Locale');
    Reg.CloseKey;

//  end;


  Apply_Language(Form1.Langue);

{
  //Form1.encoding:='cp'+IntToStr(unitCharsetMap.DefaultCodePage);
    if Form1.Langue='cz' then
      Form1.encoding:='cp1250'
    else if Form1.Langue='ru' then
      Form1.encoding:='cp1251'
    else if Form1.Langue='th' then
      Form1.encoding:='cp874'
    else if Form1.Langue='ko' then
      Form1.encoding:='cp949'
    else if Form1.Langue='tr' then
      Form1.encoding:='cp1254'
    else
      Form1.encoding:='latin1';
}

  if ParamStr(1)<>'-play' then
    Application.Run;

  Form1.Tag:=0;






//http://www.microsoft.com/globaldev/reference/winxp/xp-lcid.mspx



{

Locale  LCID
Hex LCID
Dec Valid Locale ID:Input
Locale combinations Language Collection
Afrikaans 0436 1078 0436:00000409,
0409:00000409 Basic 
Albanian 041c 1052 041c:0000041c,
0409:00000409 Basic 
Arabic_Saudi_Arabia 0401 1025 0409:00000409,
0401:00000401 Complex Script 
Arabic_Iraq 0801 2049 0409:00000409,
0801:00000401 Complex Script 
Arabic_Egypt 0c01 3073 0409:00000409,
0c01:00000401 Complex Script 
Arabic_Libya  1001 4097 040c:0000040c,
1001:00020401 Complex Script 
Arabic_Algeria 1401 5121 040c:0000040c,
1401:00020401 Complex Script  
Arabic_Morocco 1801 6145 040c:0000040c,
1801:00020401 Complex Script  
Arabic_Tunisia 1c01 7169 040c:0000040c,
1c01:00020401 Complex Script  
Arabic_Oman 2001 8193 0409:00000409,
2001:00000401 Complex Script  
Arabic_Yemen 2401 9217 0409:00000409,
2401:00000401 Complex Script  
Arabic_Syria  2801 10241 0409:00000409,
2801:00000401 Complex Script  
Arabic_Jordan 2c01 11265 0409:00000409,
2c01:00000401 Complex Script  
Arabic_Lebanon 3001 12289 0409:00000409,
3001:00000401 Complex Script  
Arabic_Kuwait 3401 13313 0409:00000409,
3401:00000401 Complex Script  
Arabic_UAE 3801 14337 0409:00000409,
3801:00000401  Complex Script  
Arabic_Bahrain 3c01 15361 0409:00000409,
3c01:00000401 Complex Script  
Arabic_Qatar  4001 16385 0409:00000409,
4001:00000401 Complex Script  
Armenian 042b 1067 042b:0000042b,
0409:00000409,
0419:00000419 Complex Script  
Azeri_Latin 042c 1068 042c:0000042c,
082c:0000082c,
0419:00000419 Basic  
Azeri_Cyrillic 082c 2092 082c:0000082c,
042c:0000042c,
0419:00000419 Basic  
Basque 042d 1069 042d:0000040a,
0409:00000409 Basic  
Belarusian 0423 1059 0423:00000423,
0409:00000409,
0419:00000419 Basic  
Bulgarian 0402 1026 0402:00000402,
0409:00000409 Basic  
Catalan 0403 1027 0403:0000040a,
0409:00000409 Basic  
Chinese_Taiwan 0404 1028 0404:00000404,
0404:e0080404, 0404:E0010404 East Asian 
Chinese_PRC 0804 2052 0804:00000804,
0804:e00e0804,
0804:e0010804,
0804:e0030804,
0804:e0040804 East Asian  
Chinese_Hong_Kong 0c04 3076 0409:00000409,
0c04:e0080404  East Asian  
Chinese_Singapore 1004 4100 0409:00000409,
0804:e00e0804,
0804:e0010804,
0804:e0030804,
0804:e0040804 East Asian  
Chinese_Macau 1404 5124 0409:00000409,
0804:e00e0804,
0404:e0020404,
0404:e0080404 East Asian  
Croatian 041a 1050 041a:0000041a,
0409:00000409 Basic  
Czech 0405 1029 0405:00000405,
0409:00000409 Basic  
Danish 0406 1030 0406:00000406,
0409:00000409 Basic  
Divehi 0465 1125 0409:00000409,
0465:00000465 Complex Script  
Dutch_Standard 0413 1043 0409:00020409,
0413:00000413,
0409:00000409 Basic  
Dutch_Belgian 0813 2067 0813:00000813,
0409:00000409 Basic  
English_United_States 0409 1033 0409:00000409 Basic  
English_United_Kingdom 0809 2057 0809:00000809 Basic  
English_Australian 0c09 3081 0c09:00000409  Basic  
English_Canadian 1009 4105 1009:00000409,
1009:00011009,
1009:00001009  Basic  
English_New_Zealand 1409 5129 1409:00000409 Basic  
English_Ireland 1809 6153 1809:00001809,
1809:00011809 Basic  
English_South_Africa 1c09  7177 1c09:00000409 Basic  
English_Jamaica 2009 8201 2009:00000409 Basic  
English_Caribbean 2409 9225 2409:00000409 Basic  
English_Belize 2809 10249 2809:00000409 Basic  
English_Trinidad 2c09 11273 2c09:00000409 Basic  
English_Zimbabwe 3009 12297 3009:00000409 Basic  
English_Philippines 3409 13321 3409:00000409 Basic  
Estonian 0425 1061 0425:00000425 Basic  
Faeroese 0438 1080 0438:00000406,
0409:00000409 Basic  
Farsi  0429 1065 0409:00000409,
0429:00000429,
0429:00000401 Complex Script  
Finnish 040b 1035 040b:0000040b,
0409:00000409 Basic  
French_Standard 040c 1036 040c:0000040c,
0409:00000409 Basic  
French_Belgian 080c 2060 080c:0000080c,
0409:00000409 Basic  
French_Canadian 0c0c 3084 0c0c:00011009,
0409:00000409 Basic  
French_Swiss 100c 4108 100c:0000100c,
0409:00000409 Basic  
French_Luxembourg 140c 5132 140c:0000040c,
0409:00000409  Basic  
French_Monaco 180c 6156 180c:0000040c,
0409:00000409 Basic  
Georgian 0437 1079 0437:00000437,
0409:00000409,
0419:00000419  Complex Script  
Galician 0456 1110 0456:0000040a,
0409:00000409 Basic  
German_Standard 0407 1031 0407:00000407,
0409:00000409 Basic  
German_Swiss  0807 2055 0807:00000807,
0409:00000409 Basic  
German_Austrian 0c07 3079 0c07:00000407,
0409:00000409 Basic  
German_Luxembourg 1007 4103 1007:00000407,
0409:00000409  Basic  
German_Liechtenstein 1407 5127 1407:00000407,
0409:00000409 Basic  
Greek 0408 1032 0408:00000408,
0409:00000409 Basic  
Gujarati 0447 1095 0409:00000409,
0447:0000447,
0439:00010439  Complex Script  
Hebrew 040d 1037 0409:00000409,
040d:0000040d Complex Script  
Hindi 0439 1081 0409:00000409,
0439:00010439,
0439:00000439 Complex Script  
Hungarian 040e 1038 040e:0000040e,
0409:00000409 Basic  
Icelandic 040f 1039 040f:0000040f,
0409:00000409 Basic  
Indonesian 0421 1057 0421:00000409,
0409:00000409  Basic  
Italian_Standard 0410 1040 0410:00000410,
0409:00000409 Basic  
Italian_Swiss 0810 2064 0810:00000410,
0409:00000409 Basic  
Japanese 0411 1041 0411:e0010411 East Asian
Kannada 044b 1099 0409:00000409,
044b:0000044b,
0439:00010439 Complex Script  
Kazakh 043f 1087 043f:0000043f,
0409:00000409,
0419:00000419 Basic  
Konkani 0457 1111 0409:00000409,
0457:00000439 Complex Script  
Korean 0412 1042 0412:E0010412 East Asian  
Kyrgyz 0440 1088 0440:00000440,
0409:00000409 Basic  
Latvian 0426 1062 0426:00010426 Basic  
Lithuanian 0427 1063 0427:00010427 Basic  
Macedonian 042f 1071 042f:0000042f,
0409:00000409  Basic  
Malay_Malaysia 043e 1086 0409:00000409 Basic  
Malay_Brunei_Darussalam 083e 2110 0409:00000409 Basic  
Marathi 044e 1102 0409:00000409,
044e:0000044e,
044e:00000439 Complex Script  
Mongolian 0450 1104 0450:00000450,
0409:00000409 Basic  
Norwegian_Bokmal 0414 1044 0414:00000414,
0409:00000409 Basic  
Norwegian_Nynorsk 0814 2068 0814:00000414,
0409:00000409 Basic  
Polish 0415 1045 0415:00010415, 0415:00000415,
0409:00000409 Basic  
Portuguese_Brazilian 0416 1046 0416:00000416,
0409:00000409 Basic  
Portuguese_Standard 0816 2070 0816:00000816,
0409:00000409 Basic  
Punjabi 0446 1094 0409:00000409,
0446:00000446,
0439:00010439 Complex Script  
Romanian 0418 1048 0418:00000418,
0409:00000409 Basic  
Russian 0419 1049 0419:00000419,
0409:00000409 Basic  
Sanskrit 044f 1103 0409:00000409,
044f:00000439 Complex Script  
Serbian_Latin 081a 2074 081a:0000081a,
0409:00000409 Basic  
Serbian_Cyrillic 0c1a 3098 0c1a:00000c1a,
0409:00000409 Basic  
Slovak 041b 1051 041b:0000041b,
0409:00000409 Basic  
Slovenian 0424 1060 0424:00000424,
0409:00000409  Basic  
Spanish_Traditional_Sort 040a 1034 040a:0000040a,
0409:00000409  Basic  
Spanish_Mexican 080a 2058 080a:0000080a,
0409:00000409 Basic  
Spanish_Modern_Sort 0c0a 3082 0c0a:0000040a,
0409:00000409 Basic  
Spanish_Guatemala 100a 4106 100a:0000080a,
0409:00000409  Basic  
Spanish_Costa_Rica 140a 5130 140a:0000080a,
0409:00000409 Basic  
Spanish_Panama 180a 6154 180a:0000080a,
0409:00000409 Basic  
Spanish_Dominican_Republic 1c0a 7178 1c0a:0000080a,
0409:00000409 Basic  
Spanish_Venezuela 200a 8202 200a:0000080a,
0409:00000409  Basic  
Spanish_Colombia 240a 9226 240a:0000080a,
0409:00000409 Basic  
Spanish_Peru 280a 10250 280a:0000080a,
0409:00000409 Basic  
Spanish_Argentina 2c0a 11274 2c0a:0000080a,
0409:00000409  Basic  
Spanish_Ecuador 300a 12298 300a:0000080a,
0409:00000409 Basic  
Spanish_Chile 340a  13322 340a:0000080a,
0409:00000409 Basic  
Spanish_Uruguay 380a 14346 380a:0000080a,
0409:00000409 Basic  
Spanish_Paraguay 3c0a 15370 3c0a:0000080a,
0409:00000409 Basic  
Spanish_Bolivia 400a 16394 400a:0000080a,
0409:00000409 Basic  
Spanish_El_Salvador 440a 17418 440a:0000080a,
0409:00000409 Basic  
Spanish_Honduras 480a 18442 480a:0000080a,
0409:00000409 Basic  
Spanish_Nicaragua 4c0a 19466 4c0a:0000080a,
0409:00000409  Basic  
Spanish_Puerto_Rico  500a 20490 500a:0000080a,
0409:00000409 Basic  
Swahili 0441 1089 0409:00000409 Basic  
Swedish 041d 1053 041d:0000041d,
0409:00000409 Basic  
Swedish_Finland 081d 2077 081d:0000041d,
0409:00000409 Basic  
Syriac 045a 1114 0409:00000409,
045a:0000045a Complex Script  
Tamil  0449 1097 0409:00000409,
0449:00000449 Complex Script  
Tatar  0444 1092 0444:00000444,
0409:00000409,
0419:00000419 Basic  
Telugu  044a 1098 0409:00000409,
044a:0000044a,
0439:00010439 Complex Script  
Thai 041e 1054 0409:00000409,
041e:0000041e Complex Script  
Turkish 041f 1055 041f:0000041f,
0409:0000041f Basic  
Ukrainian 0422 1058 0422:00000422,
0409:00000409 Basic  
Urdu  0420 1056 0420:00000401,
0409:00000409 Complex Script  
Uzbek_Latin  0443 1091 0443:00000409,
0843:00000843,
0419:00000419 Basic  
Uzbek_Cyrillic 0843 2115 0843:00000843,
0443:00000409,
0419:00000419 Basic  
Vietnamese 042a 1066 0409:00000409,
042a:0000042a  Complex Script  

























	00000402="bg"
	00000404="ch"
	00000405="cz"
	00000406="dk"
	00000407="gr"
	00000408="gk"
	00000409="us"
	0000040A="sp"
	0000040B="su"
	0000040C="fr"
	0000040E="hu"
	0000040F="is"
	00000410="it"
	00000411="jp"
	00000412="ko"
	00000413="nl"
	00000414="no"
	00000415="pl"
	00000416="br"
	00000418="ro"
	00000419="ru"
	0000041A="yu"
	0000041B="sl"
	0000041C="us"
	0000041D="sv"
	0000041F="tr"
	00000422="us"
	00000423="us"
	00000424="yu"
	00000425="et"
	00000426="us"
	00000427="us"
	00000804="ch"
	00000807="sg"
	00000809="uk"
	0000080A="la"
	0000080C="be"
	00000813="be"
	00000816="po"
	00000C0C="cf"
	00000C1A="us"
	00001009="us"
	0000100C="sf"
	00001809="us"
	00010402="us"
	00010405="cz"
	00010407="gr"
	00010408="gk"
	00010409="dv"
	0001040A="sp"
	0001040E="hu"
	00010410="it"
	00010415="pl"
	00010419="ru"
	0001041B="sl"
	0001041F="tr"
	00010426="us"
	00010C0C="cf"
	00010C1A="us"
	00020408="gk"
	00020409="us"
	00030409="usl"
	00040409="usr"
	00050408="gk"
}
 end;


end.

