unit Unit12;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dxCore, dxButton, StdCtrls,
  ExtCtrls, ComCtrls, Buttons, jpeg, Math, futureImage, Buibui, EwCheckBox,
  sSkinProvider, sPanel, sBitBtn;

type
  TForm12 = class(TForm)
    TrackBar2: TTrackBar;
    TrackBar1: TTrackBar;
    Label2: TLabel;
    Label1: TLabel;
    Image1: TImage;
    dxCheckbox1: TEwCheckBox;
    dxButton3: TsBitBtn;
    dxButton1: TsBitBtn;
    Panel2: TPanel;
    Panel3: TPanel;
    Image11: TImage;
    BPause: TsBitBtn;
    SeekTimer: TTimer;
    Panel1: TPanel;
    Panel4: TPanel;
    dxButton2: TsBitBtn;
    futureImage2: TfutureImage;
    futureImage4: TfutureImage;
    futureImage5: TfutureImage;
    futureImage3: TfutureImage;
    SeekBarFrame: TsPanel;
    Panel5: TsPanel;
    SeekBarSlider: TsPanel;
    Label8: TLabel;
    futureImage12: TfutureImage;
    futureImage1: TfutureImage;
    futureImage6: TfutureImage;
    futureImage7: TfutureImage;
    futureImage8: TfutureImage;
    Timer1: TTimer;
    Timer2: TTimer;
    Timer3: TTimer;
    Timer4: TTimer;
    dxButton4: TsBitBtn;
    procedure Label3Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Label6Click(Sender: TObject);
    procedure Label5Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
    procedure dxButton1Click(Sender: TObject);
    procedure dxButton3Click(Sender: TObject);
    procedure dxCheckbox1Change(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure SeekTimerTimer(Sender: TObject);
    procedure SeekBarFrameMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SeekBarSliderMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SeekBarSliderMouseMove(Sender: TObject; Shift: TShiftState;
      X, Y: Integer);
    procedure SeekBarSliderMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure dxButton2Click(Sender: TObject);
    procedure futureImage12Click(Sender: TObject);
    procedure futureImage1Click(Sender: TObject);
    procedure futureImage8Click(Sender: TObject);
    procedure futureImage7Click(Sender: TObject);
    procedure futureImage6Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure Timer3Timer(Sender: TObject);
    procedure Timer4Timer(Sender: TObject);
    procedure futureImage2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage3MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage4MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage5MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage3MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage4MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure futureImage5MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure dxButton4Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Dclarations prives }
    Seeking:boolean;
    ControlledResize:boolean;
    SeekMouseX,SeekBaseX:integer;
    timerfois:integer;
  public
    { Dclarations publiques }
    coeff1,coeff2:integer;
    Coefficient:integer;
    Selection1:integer;
    Selection2:integer;
    Position:integer;

    Lang_FullSize:string;
    Lang_HalfSize:string;
    Lang_VideoSize:string;
    Lang_FullSizeHint:string;
    Lang_HalfSizeHint:string;
    Lang_SaveSelectedPart:string;
    Lang_MarkBegining:string;
    Lang_MarkEnding:string;
    Lang_DeleteVideoBeforeMark:string;
    Lang_DeleteVideoAfterMark:string;
    Lang_CuttingVideo:string;
    Lang_ResizeVideo:string;
    Lang_SelectionBegining:string;
    Lang_SelectionEnd:string;
    Lang_SelectionFailed:string;

    procedure QueryPosition;
    procedure SetupStart;
    procedure SetupPlay;
    procedure SetupStop;
    procedure UpdateSeekBar;
    procedure Unpaused;
    procedure VideoSizeChanged;
    procedure DoOpen(const URL:string);
  end;

  TRGBTriple=
  record
    rgbtRed,rgbtGreen,rgbtBlue:byte;
  end;
  TRGBTripleArray = array[0..32767] of TRGBTriple;
  pRGBTripleArray = ^TRGBTripleArray;


var
  Form12: TForm12;

implementation

uses Unit1, Core, Unit7;

{$R *.dfm}




function semitrans(Bmp1:TBitmap;nivo:byte):TBitmap;
var
  ATB,ATB3:pRGBTripleArray;I,J:integer;
  Lvl,invLvl:integer;
begin
  result:=TBitmap.Create;
  bmp1.PixelFormat:=pf24bit;
  result.PixelFormat:=pf24bit;
  result.Height:=bmp1.Height;
  result.width:=bmp1.width;
  lvl := nivo ;
  invLvl:= 255-lvl;
  for I:=0 to bmp1.Height-1 do
  begin
    ATB:=bmp1.ScanLine[I];
    ATB3:=result.ScanLine[I];
    for J:=0 to bmp1.Width-1 do
    begin
      ATB3[J].rgbtRed:=byte((invlvl*(ATB[J].rgbtRed-0))shr 8);
      ATB3[J].rgbtGreen:=byte((invlvl*(ATB[J].rgbtGreen-0))shr 8);
      ATB3[J].rgbtBlue:=byte((invlvl*(ATB[J].rgbtBlue-0))shr 8);
    end;
  end;
end;



procedure TForm12.Label3Click(Sender: TObject);
begin
  inc(timerfois);
  if Panel4.Width>8 then
  begin
    Panel4.Width:=Panel4.Width-2;
    Panel4.Left:=Panel4.Left+1;
    Panel1.Left:=Panel1.Left-1;
  end;
  Label1.Caption:=IntToStr(TrackBar1.Position * 2);
  if Panel4.Width*10001 div coeff1<StrToInt(Label1.Caption) then
    Label1.Caption:=IntToStr(Panel4.Width*10001 div coeff1)+'/'+Label1.Caption;
end;

procedure TForm12.Label4Click(Sender: TObject);
begin
  inc(timerfois);
  if Panel4.Width<Panel2.Width then
  begin
    Panel4.Width:=Panel4.Width+2;
    Panel4.Left:=Panel4.Left-1;
    Panel1.Left:=Panel1.Left+1;
  end;
  Label1.Caption:=IntToStr(TrackBar1.Position * 2 * 10001 div coeff1);
  if Panel4.Width*10001 div coeff1<StrToInt(Label1.Caption) then
    Label1.Caption:=IntToStr(Panel4.Width*10001 div coeff1)+'/'+Label1.Caption;
end;

procedure TForm12.Label6Click(Sender: TObject);
begin
  inc(timerfois);
  if Panel4.Height<Panel2.Height then
  begin
    Panel4.Height:=Panel4.Height+2;
    Panel4.Top:=Panel4.Top-1;
    Panel1.Top:=Panel1.Top+1;
  end;
  Label2.Caption:=IntToStr(TrackBar2.Position * 2 * 10001 div coeff2);
  if Panel4.Height*10001 div coeff2<StrToInt(Label2.Caption) then
    Label2.Caption:=IntToStr(Panel4.Height*10001 div coeff2)+'/'+Label2.Caption;
end;

procedure TForm12.Label5Click(Sender: TObject);
begin
  inc(timerfois);
  if Panel4.Height>8 then
  begin
    Panel4.Height:=Panel4.Height-2;
    Panel4.Top:=Panel4.Top+1;
    Panel1.Top:=Panel1.Top-1;
  end;
  Label2.Caption:=IntToStr(TrackBar2.Position * 2);
  if Panel4.Height*10001 div coeff2<StrToInt(Label2.Caption) then
    Label2.Caption:=IntToStr(((Panel4.Height*10001 div coeff2) div 2) * 2)+'/'+Label2.Caption;
end;

procedure TForm12.SetupStart;
begin
  SeekBarSlider.Visible:=true;
  SeekBarSlider.Left:=0;
  SeekTimer.Enabled:=true;
  BPause.Enabled:=true;
  BPause.Down:=false;
end;

procedure TForm12.SetupPlay;
begin
  Seeking:=false;
  BPause.Enabled:=true;
end;

procedure TForm12.SetupStop;
begin
  SeekBarSlider.Visible:=false;
  BPause.Enabled:=false;
  BPause.Down:=false;
end;

procedure TForm12.DoOpen(const URL:string);
begin
  Core.ForceStop;
  Sleep(360); // wait for the processing threads to finish
  Application.ProcessMessages;  // let the VCL process the finish messages
  Core.MediaURL:=URL;
  Core.Start;
end;

procedure TForm12.UpdateSeekBar;
begin
  if Seeking then exit;
  SeekBarSlider.Left:=(SeekBarFrame.ClientWidth-SeekBarSlider.Width)*PercentPos DIV 100;
  if Panel5.Left>=0 then
    Panel5.Width:=SeekBarFrame.ClientWidth*PercentPos DIV 100 - Panel5.Left;
end;

procedure TForm12.VideoSizeChanged;
var SX,SY,PX,PY:integer;
begin
  if (NativeWidth=0) OR (NativeHeight=0) then
    exit;
  SX:=NativeWidth; SY:=NativeHeight;
  PX:=Left; PY:=Top;
  ControlledResize:=true;
  SetBounds(PX,PY,SX,SY);
end;


procedure TForm12.TrackBar1Change(Sender: TObject);
var
  temp:integer;
begin
  Panel1.Width:=TrackBar1.Position * 2 * coeff1 div 9999;
  Panel1.Left:=(Panel4.Width - Panel1.Width) div 2;

  if dxCheckbox1.Checked then
  begin
    temp:=TrackBar1.Position*16000 div coefficient;
    if ((TrackBar2.Position>temp+1) or (TrackBar2.Position<temp-1)) then
      TrackBar2.Position:=temp;
  end;

  Panel3.Left:=Panel4.Left+Panel2.Left+Panel1.Left;
  Panel3.Width:=Panel1.Width;
  Image11.Left:=Image1.Left-Panel3.Left;

  Label1.Caption:=IntToStr(TrackBar1.Position * 2);
  if Panel4.Width*10001 div coeff1<StrToInt(Label1.Caption) then
    Label1.Caption:=IntToStr(((Panel4.Width*10001 div coeff1) div 2) * 2)+'/'+Label1.Caption;
end;

procedure TForm12.Unpaused;
begin
  BPause.Down:=false;
  if Core.Running then SeekTimer.Enabled:=true;
end;

procedure TForm12.TrackBar2Change(Sender: TObject);
var
  temp:integer;
begin
  Panel1.Height:=TrackBar2.Position * 2 * coeff2 div 9999;
  Panel1.Top:=(Panel4.Height - Panel1.Height) div 2;

  if dxCheckbox1.Checked then
  begin
    temp:=TrackBar2.Position*Coefficient div 16000;
    if ((TrackBar1.Position>temp+1) or (TrackBar1.Position<temp-1)) then
      TrackBar1.Position:=temp;
  end;

  Panel3.Top:=Panel4.Top+Panel2.Top+Panel1.Top;
  Panel3.Height:=Panel1.Height;
  Image11.Top:=Image1.Top-Panel3.Top;

  Label2.Caption:=IntToStr(TrackBar2.Position * 2);
  if Panel4.Height*10001 div coeff2<StrToInt(Label2.Caption) then
    Label2.Caption:=IntToStr(((Panel4.Height*10001 div coeff2) div 2) * 2)+'/'+Label2.Caption;
end;

procedure TForm12.dxButton1Click(Sender: TObject);
begin
  Form1.Crop1:=StrToInt(Bui_ExtraitMot(Label1.Caption,Bui_CompteMots(Label1.Caption,'/'),'/'));
  Form1.Crop2:=StrToInt(Bui_ExtraitMot(Label2.Caption,Bui_CompteMots(Label2.Caption,'/'),'/'));
  Form1.VidL:=Bui_ExtraitMot(Label1.Caption,1,'/');
  Form1.VidH:=Bui_ExtraitMot(Label2.Caption,1,'/');
  Form1.Label7.Caption:=Lang_VideoSize+' : '+Form1.VidL+'x'+Form1.VidH;
  Form1.MAJBar;
  Form12.Close;
end;

procedure TForm12.dxButton3Click(Sender: TObject);
begin
  if dxButton2.Visible=true then
  begin
    Form1.Coup1:=' ';
    Form1.Coup2:=' ';
    Form1.Label14.Caption:=Form7.Label4.Caption+' '+Bui_SecondsToString(trunc(Form1.VidInfo.dsMediaDuration));
    Form1.MAJTaille;
  end;
  Form12.Close;
end;

procedure TForm12.dxCheckbox1Change(Sender: TObject);
var
  Haut,Larg:integer;
begin
  Haut:=TrackBar2.Position*32;
  Larg:=TrackBar1.Position*32;
  Coefficient:=(Larg*16000) div Haut;
end;

procedure TForm12.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if Form1.Caption<>'Fermer' then
  begin
    SeekTimer.Enabled:=false;
    Core.ForceStop;
    Sleep(100);
    Form1.Enabled:=true;
  end;
end;













procedure TForm12.FormCreate(Sender: TObject);
begin
  Form12.Top:=0;
  Form12.Left:=0;
  Form12.DoubleBuffered:=true;
  Panel3.DoubleBuffered:=true;
  Form12.DoubleBuffered:=true;
  Panel2.DoubleBuffered:=true;
  Panel4.DoubleBuffered:=true;
  Panel1.DoubleBuffered:=true;
  Seeking:=false;
  Core.Init;
  with Panel1 do ControlStyle:=ControlStyle+[csOpaque];
  ControlledResize:=true;
end;

procedure TForm12.QueryPosition;
begin
  Core.SendCommand('get_percent_pos');
  Core.SendCommand('get_time_pos');
  Unpaused;
end;


procedure TForm12.SeekTimerTimer(Sender: TObject);
begin
  if GetForegroundWindow=Handle then
    QueryPosition;
  if Core.Running=false then
    DoOpen(Form1.Edit1.Text);
  futureImage7.Visible:=true;
  futureImage8.Visible:=false;
end;

procedure TForm12.SeekBarFrameMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if not SeekBarSlider.Visible then exit;
  dec(X,SeekBarSlider.Width DIV 2);
  SendCommand('seek '+IntToStr((X*100+50) DIV (SeekBarFrame.ClientWidth-SeekBarSlider.Width))+' 1');
  QueryPosition;
  Unpaused;
end;




procedure TForm12.FormDestroy(Sender: TObject);
begin
  SeekTimer.Enabled:=false;
  Core.ForceStop;
end;

procedure TForm12.FormShow(Sender: TObject);
begin
    Application.ProcessMessages;
end;

procedure TForm12.SeekBarSliderMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if Button<>mbLeft then exit;
  Seeking:=true;
  SeekBarSlider.BevelInner:=bvLowered;
  SeekMouseX:=X; SeekBaseX:=SeekBarSlider.Left;
end;

procedure TForm12.SeekBarSliderMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
var NewX,MaxX:integer;
begin
  if not(ssLeft in Shift) OR not(Seeking) then exit;
  NewX:=X-SeekMouseX+SeekBarSlider.Left;
  MaxX:=SeekBarFrame.ClientWidth-SeekBarSlider.Width;
  if NewX<0 then NewX:=0;
  if NewX>MaxX then NewX:=MaxX;
  SeekBarSlider.Left:=NewX;
end;

procedure TForm12.SeekBarSliderMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if Button<>mbLeft then exit;
  Seeking:=false;
  SeekBarSlider.BevelInner:=bvRaised;
  SendCommand('seek '+IntToStr((SeekBarSlider.Left*100+50) DIV (SeekBarFrame.ClientWidth-SeekBarSlider.Width))+' 1');
  QueryPosition;
//  SendCommand('pause');
  Unpaused;
end;



function SecondsToString(Seconds: integer): string;
var i1, i2: integer;
begin
   i1:=(Seconds DIV 60);
   i2:=(Seconds - (i1*60));
//   If i1 DIV 60 > 0 then
      Result:=FormatFloat('00',i1 DIV 60)+':'+FormatFloat('00',i1 MOD 60)+':'+FormatFloat('00',i2);
//   else
//      Result:=FormatFloat('00',i1)+':'+FormatFloat('00',i2);
end;




procedure TForm12.dxButton2Click(Sender: TObject);
begin
    if dxButton2.Caption=Lang_MarkBegining then
    begin
      dxButton2.Caption:=Lang_MarkEnding;
      dxButton2.Hint:=Lang_DeleteVideoAfterMark;
      Selection1:=Position;
      Panel5.Left:=SeekBarFrame.ClientWidth*PercentPos DIV 100;
    end
    else
    begin
      Selection2:=Position;
      if (Selection2-Selection1) > 0 then
      begin
        Form1.Coup1:=IntToStr(Selection1);
        Form1.Coup2:=IntToStr(Selection2-Selection1);
        Form1.Label14.Caption:=Form7.Label4.Caption+' '+SecondsToString(StrToInt(Form1.Coup2));
        Form12.Close;
        Form1.MAJTaille;
      end
      else
      begin
        Form12.Close;
        ShowMessage (Lang_SelectionFailed);
      end;
    end;
end;

procedure TForm12.futureImage12Click(Sender: TObject);
begin
  SendCommand('seek 8');
  SeekTimer.Enabled:=true;
end;

procedure TForm12.futureImage1Click(Sender: TObject);
begin
  SendCommand('seek -8');
  SeekTimer.Enabled:=true;
end;

procedure TForm12.futureImage8Click(Sender: TObject);
begin
  futureImage8.Visible:=false;
  futureImage7.Visible:=true;
  if not Core.Running then
  begin
    BPause.Down:=false;
    SeekTimer.Enabled:=true;
    exit;
  end;
  SendCommand('pause');
  SeekTimer.Enabled:=not SeekTimer.Enabled;
end;

procedure TForm12.futureImage7Click(Sender: TObject);
begin
  futureImage7.Visible:=false;
  futureImage8.Visible:=true;
  if not Core.Running then
  begin
    BPause.Down:=false;
    SeekTimer.Enabled:=true;
    exit;
  end;
  SendCommand('pause');
  SeekTimer.Enabled:=not SeekTimer.Enabled;
end;

procedure TForm12.futureImage6Click(Sender: TObject);
begin
  SeekTimer.Enabled:=false;
  SendCommand('frame_step');
  //Core.SendCommand('get_time_pos');
  futureImage8.Visible:=true;
  futureImage7.Visible:=false;
end;

procedure TForm12.Timer1Timer(Sender: TObject);
begin
  Label3Click(Sender);
  if timerfois>2 then Label3Click(Sender);
  if timerfois>4 then Label3Click(Sender);
  if timerfois>8 then Label3Click(Sender);
  if timerfois>16 then Label3Click(Sender);
  if timerfois>32 then Label3Click(Sender);
end;

procedure TForm12.Timer2Timer(Sender: TObject);
begin
  Label4Click(Sender);
  if timerfois>2 then Label4Click(Sender);
  if timerfois>4 then Label4Click(Sender);
  if timerfois>8 then Label4Click(Sender);
  if timerfois>16 then Label4Click(Sender);
  if timerfois>32 then Label4Click(Sender);
end;

procedure TForm12.Timer3Timer(Sender: TObject);
begin
  Label5Click(Sender);
  if timerfois>2 then Label5Click(Sender);
  if timerfois>4 then Label5Click(Sender);
  if timerfois>8 then Label5Click(Sender);
  if timerfois>16 then Label5Click(Sender);
  if timerfois>32 then Label5Click(Sender);
end;

procedure TForm12.Timer4Timer(Sender: TObject);
begin
  Label6Click(Sender);
  if timerfois>2 then Label6Click(Sender);
  if timerfois>4 then Label6Click(Sender);
  if timerfois>8 then Label6Click(Sender);
  if timerfois>16 then Label6Click(Sender);
  if timerfois>32 then Label6Click(Sender);
end;

procedure TForm12.futureImage2MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer1.Enabled:=true;
end;

procedure TForm12.futureImage3MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer2.Enabled:=true;
end;

procedure TForm12.futureImage4MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer3.Enabled:=true;
end;

procedure TForm12.futureImage5MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer4.Enabled:=true;
end;

procedure TForm12.futureImage2MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer1.Enabled:=false;
  timerfois:=0;
end;

procedure TForm12.futureImage3MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer2.Enabled:=false;
  timerfois:=0;
end;

procedure TForm12.futureImage4MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer3.Enabled:=false;
  timerfois:=0;
end;

procedure TForm12.futureImage5MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Timer4.Enabled:=false;
  timerfois:=0;
end;

procedure TForm12.dxButton4Click(Sender: TObject);
begin
  if StrToInt(Form1.VidInfo.dsMediaVideoWidth)>((StrToInt(Form1.VidInfo.dsMediaVideoHeight)*Form1.HMax) div Form1.LMax) then
  begin
    TrackBar2.Position:=((Panel4.Height*10000 div coeff2) div 2);
    TrackBar2Change(TrackBar2);
  end
  else
  begin
    TrackBar1.Position:=((Panel4.Width*10000 div coeff1) div 2);
    TrackBar1Change(TrackBar1);
  end;
end;

procedure TForm12.FormActivate(Sender: TObject);
begin
  timerfois:=0;
end;

end.

