unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, dxCore, dxButton, Registry, Langue_PDE, LabelURL, ShellAPI,
  ExtCtrls, FileCtrl,Math, jpeg, Buibui, sSkinProvider, sPanel, sEdit,
  sComboBox, Buttons, sBitBtn;

type
  TForm6 = class(TForm)
    Memo1: TMemo;
    dxButton1: TsBitBtn;
    Label4: TLabel;
    ComboBox1: TsComboBox;
    LabelURL1: TLabelURL;
    LabelURL2: TLabelURL;
    Panel1: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label2: TLabel;
    Image2: TImage;
    Image3: TImage;
    Label5: TLabel;
    dxButton2: TsBitBtn;
    Edit2: TsEdit;
    LabelURL4: TLabelURL;
    Label6: TLabel;
    dxButton3: TsBitBtn;
    dxButton4: TsBitBtn;
    Panel2: TsPanel;
    Panel3: TsPanel;
    Panel5: TsPanel;
    LabelURL5: TLabelURL;
    Panel6: TsPanel;
    LabelURL9: TLabelURL;
    Memo2: TMemo;
    Memo3: TMemo;
    LabelURL3: TLabelURL;
    Image4: TImage;
    Image6: TImage;
    LabelURL6: TLabelURL;
    dxButton15: TsBitBtn;
    Image8: TImage;
    dxButton5: TsBitBtn;
    sSkinProvider1: TsSkinProvider;
    procedure dxButton1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ComboBox1Change(Sender: TObject);
    procedure LabelURL1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure LabelURL2Click(Sender: TObject);
    procedure LabelURL4Click(Sender: TObject);
    procedure LabelURL5Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image3Click(Sender: TObject);
    procedure dxButton2Click(Sender: TObject);
    procedure dxButton4Click(Sender: TObject);
    procedure dxButton3Click(Sender: TObject);
    procedure LabelURL9Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure LabelURL3Click(Sender: TObject);
    procedure Image4Click(Sender: TObject);
    procedure dxButton5Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    OperationDoneSuccessfully:string;
    EncodeWithPDXE:string;
    PlayWithPDXE:string;
    Uninstall:string;
    Help_title:string;
    Help_astuce:string;
    Help_attention:string;
    Help_retoursommaire:string;
    Help_Sommaire:string;
    GraphicsOn:string;
    GraphicsOnHint:string;
    GraphicsOff:string;
    GraphicsOffHint:string;
  end;

var
  Form6: TForm6;

implementation

uses Unit1, Unit7, Unit12, Unit8, Unit5, Unit2, Unit11;

{$R *.dfm}





procedure TForm6.dxButton1Click(Sender: TObject);
begin
  Form6.Close;
end;

procedure TForm6.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Form1.MAJBar();
 Form1.Enabled:=true;
end;

procedure TForm6.ComboBox1Change(Sender: TObject);
var
  Reg:TRegistry;
begin
  Form1.Langue:=ComboBox1.Text;
  Reg:=TRegistry.Create;

  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey(Form1.regkey, true) then
    Reg.WriteString('Locale', Form1.Langue);
  Reg.CloseKey;

  Reg.RootKey:=HKEY_CURRENT_USER;
  if Reg.OpenKey(Form1.regkey, true) then
    Reg.WriteString('Version', Form1.Version);
  Reg.CloseKey;

  Reg.Free;

  Apply_Language(Form1.Langue);

  LabelURL3Click(Sender);

  Form6.LabelURL4.Caption:=StringReplace(Form6.LabelURL4.Caption, 'Tlchargez', 'Download', [rfIgnoreCase, rfReplaceAll]);
  Form6.LabelURL4.Caption:=StringReplace(Form6.LabelURL4.Caption, ', pour lire les DivX sur votre ', ', the recommended player for your ', [rfIgnoreCase, rfReplaceAll]);
  if Form1.Langue='fr' then Form6.LabelURL4.Caption:=StringReplace(Form6.LabelURL4.Caption, 'Download', 'Tlchargez', [rfIgnoreCase, rfReplaceAll]);
  if Form1.Langue='fr' then Form6.LabelURL4.Caption:=StringReplace(Form6.LabelURL4.Caption, ', the recommended player for your ', ', pour lire les DivX sur votre ', [rfIgnoreCase, rfReplaceAll]);
  if Form1.Langue='fr' then Form6.LabelURL4.Caption:=StringReplace(Form6.LabelURL4.Caption, 'Tlchargez "TCPMP", pour lire les DivX sur votre E800', 'Visitez ppccool, LE site  propos du Toshiba E800', [rfIgnoreCase, rfReplaceAll]);

  if Form1.Langue='test' then
    CopyFile(PChar(Form1.TempRep+'en.ini'),PChar(Form1.TempRep+'test.ini'),true);

  if Form1.Langue='cz' then
    Form1.encoding:='cp1250'
  else if Form1.Langue='sr' then
    Form1.encoding:='cp1250'
  else if Form1.Langue='ru' then
    Form1.encoding:='cp1251'
  else if Form1.Langue='ko' then
    Form1.encoding:='cp949'
  else if Form1.Langue='th' then
    Form1.encoding:='cp874'
  else if Form1.Langue='tr' then
    Form1.encoding:='cp1254'
  else
    Form1.encoding:='latin1';
  Form5.ComboBox2.ItemIndex:=Form5.ComboBox2.Items.IndexOf(Form1.encoding);
end;

procedure TForm6.LabelURL1Click(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('mailto:wildelnab31@yahoo.fr'), nil, nil, SW_SHOW);
end;

procedure TForm6.FormShow(Sender: TObject);
begin
  LabelURL3Click(Sender);
  if ComboBox1.Text<>Form1.Langue then
    ComboBox1.ItemIndex:=ComboBox1.Items.IndexOf(Form1.Langue);
  Edit2.Text:=Form1.TempRep;
end;

procedure TForm6.LabelURL2Click(Sender: TObject);
begin
  if (Form1.Langue='fr') then
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/langue.php?lang=FR'), nil, nil, SW_SHOW)
  else if (Form1.Langue='en') then
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/langue.php?lang=EN'), nil, nil, SW_SHOW)
  else if (Form1.Langue='pt_br') then
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/langue.php?lang=BR'), nil, nil, SW_SHOW)
  else if (Form1.Langue='it') then
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/langue.php?lang=IT'), nil, nil, SW_SHOW)
  else
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/langue.php?lang=EN'), nil, nil, SW_SHOW);
end;

procedure TForm6.LabelURL4Click(Sender: TObject);
begin
  if StrPos(PChar(LabelURL4.Caption), PChar('ppccool'))<>nil then
    ShellExecute(0, nil, PChar('http://www.ppccool.com'), nil, nil, SW_SHOW)
  else if StrPos(PChar(LabelURL4.Caption), PChar('TCPMP'))<>nil then
    ShellExecute(0, nil, PChar('http://picard.exceed.hu/tcpmp/test/'), nil, nil, SW_SHOW)
  else if StrPos(PChar(LabelURL4.Caption), PChar('TCPMP'))<>nil then
    ShellExecute(0, nil, PChar('http://picard.exceed.hu/tcpmp/test/'), nil, nil, SW_SHOW)
  else if StrPos(PChar(LabelURL4.Caption), PChar('forum'))<>nil then
    ShellExecute(0, nil, PChar('http://www.jbmm.net/forum/forum-24.html'), nil, nil, SW_SHOW)
  else if StrPos(PChar(LabelURL4.Caption), PChar('Gemsoc'))<>nil then
    ShellExecute(0, nil, PChar('http://www.gemsoc.com.tw'), nil, nil, SW_SHOW)
  else if LabelURL4.Caption='Archos website' then
    ShellExecute(0, nil, PChar('http://www.archos.com'), nil, nil, SW_SHOW)
  else if StrPos(PChar(LabelURL4.Caption), PChar('donation'))<>nil then
  begin
    if Form1.Langue='fr' then
      ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/donate_fr.html'), nil, nil, SW_SHOW)
    else
      ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/donate_en.html'), nil, nil, SW_SHOW);
  end;
end;

procedure TForm6.LabelURL5Click(Sender: TObject);
begin
  if (Form1.Langue='fr') then
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/donate_fr.html'), nil, nil, SW_SHOW)
  else
    ShellExecute(0, nil, PChar('http://www.pocketdivxencoder.net/donate_en.html'), nil, nil, SW_SHOW);
end;

procedure TForm6.Image2Click(Sender: TObject);
begin
  if Form1.Langue='fr' then
    ShellExecute(0, nil, PChar('http://www.pocketpcfreeware.com'), nil, nil, SW_SHOW)
  else if Form1.Langue='de' then
    ShellExecute(0, nil, PChar('http://www.pocketpcfreeware.com/de/'), nil, nil, SW_SHOW)
  else if Form1.Langue='pt' then
    ShellExecute(0, nil, PChar('http://www.pocketpcfreeware.com/pt/'), nil, nil, SW_SHOW)
  else if Form1.Langue='pt_br' then
    ShellExecute(0, nil, PChar('http://www.pocketpcfreeware.com/pt/'), nil, nil, SW_SHOW)
  else
    ShellExecute(0, nil, PChar('http://www.pocketpcfreeware.com/en/'), nil, nil, SW_SHOW);
end;

procedure TForm6.Image3Click(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('http://www.jbmm.fr'), nil, nil, SW_SHOW);
end;

procedure TForm6.dxButton2Click(Sender: TObject);
var
  Direc, Direc_old: string;
  Reg:TRegistry;
begin
  Direc := Edit2.Text;
  Direc_old:=Direc;
  if SelectDirectory('Select a temporary directory for extracting files', '', Direc) then
  begin
    if (Direc[length(Direc)]<>'\') then Direc:=Direc+'\';
    Edit2.Text := Direc;
    if Direc<>Direc_old then
    begin
      Reg:=TRegistry.Create;
      Reg.RootKey:=HKEY_CURRENT_USER;
      if (Reg.OpenKey(Form1.regkey,true)) then
        Reg.WriteString('TempRep', Edit2.Text);
      Reg.Free;
      Form1.effacerFichiers();
      ChDir(Edit2.Text);
      Form1.TempRep:=Direc;
      Form1.extraireFichiers(Direc);
    end;
  end;
end;

procedure MettreClicDroit(extension:string);
var
 Reg:TRegistry;
 temp:string;
begin
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 if Reg.KeyExists('SOFTWARE\CLASSES\'+extension) then
 begin
   Reg.OpenKey('SOFTWARE\CLASSES\'+extension,true);
   temp:=Reg.ReadString('');
 end
 else
 begin
   Reg.OpenKey('SOFTWARE\CLASSES\'+extension,true);
   Reg.WriteString('', 'avifile');
   temp:='avifile';
 end;
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 Reg.OpenKey('SOFTWARE\CLASSES\'+temp+'\Shell\'+Form6.EncodeWithPDXE+'\command',true);
 Reg.WriteString('','"'+ParamStr(0)+'" "%1"');
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 Reg.OpenKey('SOFTWARE\CLASSES\'+temp+'\Shell\'+Form6.PlayWithPDXE+'\command',true);
 Reg.WriteString('','"'+ParamStr(0)+'" -play "%1"');
 Reg.Free;

 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CLASSES_ROOT;
 if Reg.KeyExists(extension) then
 begin
   Reg.OpenKey(extension,true);
   temp:=Reg.ReadString('');
 end
 else
 begin
   Reg.OpenKey(extension,true);
   Reg.WriteString('', 'avifile');
   temp:='avifile';
 end;
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CLASSES_ROOT;
 Reg.OpenKey(temp+'\Shell\'+Form6.EncodeWithPDXE+'\command',true);
 Reg.WriteString('','"'+ParamStr(0)+'" "%1"');
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CLASSES_ROOT;
 Reg.OpenKey(temp+'\Shell\'+Form6.PlayWithPDXE+'\command',true);
 Reg.WriteString('','"'+ParamStr(0)+'" -play "%1"');
 Reg.Free;
end;



procedure EnleverClicDroit(extension:string);
var
 Reg:TRegistry;
 temp:string;
begin
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 if Reg.KeyExists('SOFTWARE\CLASSES\'+extension) then
 begin
   Reg.OpenKey('SOFTWARE\CLASSES\'+extension,true);
   temp:=Reg.ReadString('');
 end
 else
 begin
   Reg.OpenKey('SOFTWARE\CLASSES\'+extension,true);
   Reg.WriteString('', 'avifile');
   temp:='avifile';
 end;
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 Reg.DeleteKey('SOFTWARE\CLASSES\'+temp+'\Shell\'+Form6.EncodeWithPDXE);
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 Reg.DeleteKey('SOFTWARE\CLASSES\'+temp+'\Shell\'+Form6.PlayWithPDXE);
 Reg.Free;

 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CLASSES_ROOT;
 if Reg.KeyExists(extension) then
 begin
   Reg.OpenKey(extension,true);
   temp:=Reg.ReadString('');
 end
 else
 begin
   Reg.OpenKey(extension,true);
   Reg.WriteString('', 'avifile');
   temp:='avifile';
 end;
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CLASSES_ROOT;
 Reg.DeleteKey(temp+'\Shell\'+Form6.EncodeWithPDXE);
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CLASSES_ROOT;
 Reg.DeleteKey(temp+'\Shell\'+Form6.PlayWithPDXE);
 Reg.Free;
end;



procedure TForm6.dxButton4Click(Sender: TObject);
begin
 MettreClicDroit('.avi');
 MettreClicDroit('.dvr');
 MettreClicDroit('.dvr-ms');
 MettreClicDroit('.264');
 MettreClicDroit('.dvrms');
 MettreClicDroit('.mkv');
 MettreClicDroit('.divx');
 MettreClicDroit('.vob');
 MettreClicDroit('.ts');
 MettreClicDroit('.flv');
 MettreClicDroit('.dv');
 MettreClicDroit('.mp4');
 MettreClicDroit('.flv');
 MettreClicDroit('.mpg');
 MettreClicDroit('.divx');
 MettreClicDroit('.mpeg');
 MettreClicDroit('.ogm');
 MettreClicDroit('.qt');
 MettreClicDroit('.mov');
 MettreClicDroit('.ty');
 ShowMessage(OperationDoneSuccessfully);
end;

procedure TForm6.dxButton3Click(Sender: TObject);
var
 Reg:TRegistry;
 Bureau:string;
begin
 Uninstall:='Oui';

 EnleverClicDroit('.avi');
 EnleverClicDroit('.dvr');
 EnleverClicDroit('.dvr-ms');
 EnleverClicDroit('.264');
 EnleverClicDroit('.dvrms');
 EnleverClicDroit('.mkv');
 EnleverClicDroit('.divx');
 EnleverClicDroit('.vob');
 EnleverClicDroit('.ts');
 EnleverClicDroit('.flv');
 EnleverClicDroit('.dv');
 EnleverClicDroit('.mp4');
 EnleverClicDroit('.flv');
 EnleverClicDroit('.mpg');
 EnleverClicDroit('.divx');
 EnleverClicDroit('.mpeg');
 EnleverClicDroit('.ogm');
 EnleverClicDroit('.qt');
 EnleverClicDroit('.mov');
 EnleverClicDroit('.ty');

 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_CURRENT_USER;
 Reg.DeleteKey('Software\Freeware\PocketDivXEncoder');
 Reg.Free;
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE;
 Reg.DeleteKey('Software\Cygnus Solutions');
 Reg.Free;

 ShowMessage(OperationDoneSuccessfully);

  Reg := TRegistry.Create;
  try
    Reg.RootKey := HKEY_CURRENT_USER;
    if Reg.OpenKey('\software\microsoft\windows\currentversion\explorer\shell folders', True) then
      Bureau:= Reg.ReadString('Desktop');
  finally
    Reg.CloseKey;
    Reg.Free;
  end;
  if (Bureau[length(Bureau)]<>'\') then
    Bureau:=Bureau+'\';
  try
    DeleteFile(Bureau+'PocketDivXEncoder.lnk');
  except
  end;
  try
    DeleteFile(Bureau+'PocketDivXEncoder');
  except
  end;

 Form1.Close;
end;

procedure TForm6.LabelURL9Click(Sender: TObject);
var
  i:integer;
begin
  ChDir(Form1.TempRep);
  Memo1.Lines.Clear;
  Memo1.Lines.LoadFromFile('Changelog.txt');
  for i:=0 to Min(10,Memo1.Lines.Count-1) do
  begin
    if StrPos(PChar(Memo1.Lines[i]),PChar('##VERSION##'))<>nil then
      Memo1.Lines[i]:=StringReplace(Memo1.Lines[i],'##VERSION##',Form1.Version,[rfReplaceAll]);
  end;
end;

procedure CaptureEcranComposant(Comp:TControl; Image:TImage);
var HandleDC : HDC;
begin
  if Comp.HasParent then
    HandleDC:=GetDC(Comp.Parent.Handle)
  else
    HandleDC:=GetDC(GetDesktopWindow);
  try
    Image.Picture.Bitmap.Width:=Comp.Width;
    Image.Picture.Bitmap.Height:=Comp.Height;
    BitBlt(Image.Picture.Bitmap.Canvas.Handle,0,0,Comp.Width,Comp.Height,HandleDC,Comp.Left,Comp.Top,SrcCopy);
    Image.Width:=Image.Picture.Width;
    Image.Height:=Image.Picture.Height;
  finally
    ReleaseDC(GetDesktopWindow,HandleDC);
  end;
end;




procedure TForm6.Button1Click(Sender: TObject);
var
  i:integer;
  j,k:integer;
  temp,temp1:string;
begin

 Form6.Hide;
 Form1.Show;

 Form1.Label27.Visible:=false;
 Form1.futureImage11.Visible:=false;

 Form1.futureImage4.Visible:=false;
 Form1.futureImage5.Visible:=false;
 Form1.futureImage6.Visible:=false;
 Form1.futureImage17.Visible:=false;
 Form1.futureImage18.Visible:=false;
 Form1.futureImage19.Visible:=false;

 Form1.dxButton7.Visible:=true;
 Form1.dxButton8.Visible:=true;
 Form1.dxButton9.Visible:=true;
 Form1.dxButton10.Visible:=true;
 Form1.Label17.Visible:=true;
 Form1.Panel10.Height:=310;
 Form1.Panel10.HorzScrollBar.Visible:=true;
 Form1.Panel10.VertScrollBar.Visible:=true;
 Form1.dxButton14.ShowHint:=true;
 Form1.ChangerListBox4;


 Form1.Enabled:=true;
 Form1.Panel10.Top:=80;
// Form1.Panel9.Height:=88;
 Form1.BringToFront;
 Form1.Update;
 CaptureEcranComposant(Form1,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'0.bmp');
 CaptureEcranComposant(Form1.sPanel1,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'1.bmp');
 CaptureEcranComposant(Form1.sPanel2,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'2.bmp');
 CaptureEcranComposant(Form1.sPanel3,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'3.bmp');
 Form1.Panel8.Left:=0;
 Form1.Label30.Caption:='<';
 Form1.Label30.Left:=0;
 Form1.Update;
 Form1.Panel8.Update;
 Form1.Panel8.Repaint;
 Form1.Panel8.Refresh;
 CaptureEcranComposant(Form1.Panel8,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'3_1.bmp');
 Form1.Panel8.Left:=-346;
 Form1.Label30.Caption:='>';
 Form1.Label30.Left:=346;
 Form1.Update;
 CaptureEcranComposant(Form1.Shape5,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'4.bmp');
 CaptureEcranComposant(Form1.dxButton7,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'4_1.bmp');
 CaptureEcranComposant(Form1.dxButton10,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'4_2.bmp');
 CaptureEcranComposant(Form1.dxButton8,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'4_3.bmp');
 CaptureEcranComposant(Form1.dxButton9,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'4_4.bmp');
 CaptureEcranComposant(Form1.dxButton4,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'4_5.bmp');
 CaptureEcranComposant(Form1.sPanel4,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'5.bmp');
 CaptureEcranComposant(Form1.dxButton12,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'5_1.bmp');
 CaptureEcranComposant(Form1.dxButton13,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'5_2.bmp');
 Form1.sPanel5.Visible:=false;
 Form1.Update;
 CaptureEcranComposant(Form1.Shape6,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'6.bmp');
 Form1.sPanel5.Visible:=true;
 CaptureEcranComposant(Form1.dxButton14,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'6_1.bmp');
 CaptureEcranComposant(Form1.dxButton15,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'8.bmp');
 CaptureEcranComposant(Form1.Button1,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'Button1.bmp');
 CaptureEcranComposant(Form1.dxButton3,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton3.bmp');
 CaptureEcranComposant(Form1.dxButton6,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton6.bmp');
 CaptureEcranComposant(Form1.dxButton11,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton11.bmp');
 CaptureEcranComposant(Form1.dxButton16,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton16.bmp');
 CaptureEcranComposant(Form1.dxButton17,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton17.bmp');
 CaptureEcranComposant(Form1.dxButton21,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton21.bmp');
 CaptureEcranComposant(Form1.dxButton1,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'dxButton1.bmp');
 Image6.Picture.Assign(Form1.dxButton15.Glyph);
 Image6.Picture.SaveToFile(Form1.TempRep+'9.bmp');
 Image6.Picture.Assign(Form1.dxButton22.Glyph);
 Image6.Picture.SaveToFile(Form1.TempRep+'10.bmp');
 Form1.Enabled:=false;
 Form1.SendToBack;

 Form7.Show;
 Form7.BringToFront;
 Form7.Update;
 CaptureEcranComposant(Form7,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'7.bmp');
 Form7.SendToBack;
 Form7.Close;

 Form8.Show;
 Form8.BringToFront;
 Form8.Update;
 CaptureEcranComposant(Form8.dxButton17,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'8_6.bmp');
 Form8.SendToBack;
 Form8.Close;

 Form1.SetupForm12(true);
 Form12.Show;
 Form12.Top:=0;
 Form12.BringToFront;
 Form12.Update;
 CaptureEcranComposant(Form12,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'Form12.bmp');
 Form12.SendToBack;
 Form12.Close;

 Form6.Show;
 Form6.BringToFront;
 Form6.Update;
 CaptureEcranComposant(Form6.dxButton4,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'8_2.bmp');
 CaptureEcranComposant(Form6.dxButton3,Image6);
 Image6.Picture.SaveToFile(Form1.TempRep+'8_3.bmp');
 Form1.Enabled:=false;
 Form1.SendToBack;
 Form6.Show;
 Form6.BringToFront;
 Form6.Update;


 if Form1.Langue='fr' then
   Memo2.Lines.LoadFromFile(Form1.TempRep+'PDE.txt')
 else
   Memo2.Lines.LoadFromFile(Form1.TempRep+'PDEen.txt');

 with Form1 do
 begin
  ChDir(Form1.TempRep);
  Memo3.Lines.Clear;
  Memo3.Lines.Add('<HTML><TITLE>'+Help_title+'</TITLE><BODY><A name=0></A><CENTER><H2>'+Help_Sommaire+'</H2></CENTER><BLOCKQUOTE>');
  j:=0; k:=0;
  for i:=0 to Memo2.Lines.Count-1 do
  begin
    temp:=Memo2.Lines[i]+'<BR>';
    if StrPos(PChar(temp), PChar('<TITRE1>'))<>nil then
    begin
      inc(j);
      k:=0;
      temp1:=StringReplace(temp,'<TITRE1>','</BLOCKQUOTE><H4><B><A href=Help.htm#'+IntToStr(j)+'>'+IntToStr(j)+' - ',[rfIgnoreCase,rfReplaceAll]);
      temp1:=StringReplace(temp1,'</TITRE1><BR>','</A></B></H4><BLOCKQUOTE>',[rfIgnoreCase,rfReplaceAll]);
      Memo3.Lines.Add(temp1);
    end;
    if StrPos(PChar(temp), PChar('<PUCE1>'))<>nil then
    begin
      k:=k+1;
      temp1:=Bui_ExtraitMot(temp, 1, '?');
      temp1:=Bui_ExtraitMot(temp1, 1, '!');
      temp1:=Bui_ExtraitMot(temp1, 1, ':');
      temp1:=StringReplace(temp1,'<PUCE1>','<A href=Help.htm#'+IntToStr(j)+'_'+IntToStr(k)+'>',[rfIgnoreCase,rfReplaceAll]);
      temp1:=temp1+'</A><BR>';
      Memo3.Lines.Add(temp1);
      temp:=StringReplace(temp,':',': </B></H4>',[rfIgnoreCase]);
      temp:=StringReplace(temp,'?','? </B></H4>',[rfIgnoreCase]);
      temp:=StringReplace(temp,'!','! </B></H4>',[rfIgnoreCase]);
      temp:=StringReplace(temp,'<PUCE1>','<A name='+IntToStr(j)+'_'+IntToStr(k)+'></A><H4><IMG SRC=puce1.gif><B>',[rfIgnoreCase,rfReplaceAll]);
    end;
    if StrPos(PChar(temp), PChar('<IMAGE>'))<>nil then
    begin
      temp:=StringReplace(temp,'<IMAGE>','<IMG SRC=',[rfReplaceAll,rfIgnoreCase]);
      temp:=StringReplace(temp,'</IMAGE>','.bmp>',[rfReplaceAll,rfIgnoreCase]);
    end;
    temp:=StringReplace(temp,'<ASTUCE>','<CENTER><TABLE border=2 bordercolor=#FFFFFF bgcolor="#FFFFFF"><TR><TD bordercolor="#000000" bgcolor="#AACCFF" border=2><CENTER><H3><IMG SRC=astuce.gif> '+Help_astuce+' !</H3></CENTER>',[rfIgnoreCase,rfReplaceAll]);
    temp:=StringReplace(temp,'</ASTUCE>','<BR></TD></TR></TABLE></CENTER>',[rfIgnoreCase,rfReplaceAll]);
    temp:=StringReplace(temp,'<AVERT>','<CENTER><TABLE border=2 bordercolor=#FFFFFF bgcolor="#FFFFFF"><TR><TD bordercolor="#000000" bgcolor="#FFBBDD" border=2><CENTER><H3><IMG SRC=attention.gif> '+Help_attention+' !</H3></CENTER>',[rfIgnoreCase,rfReplaceAll]);
    temp:=StringReplace(temp,'</AVERT>','<BR></TD></TR></TABLE></CENTER>',[rfIgnoreCase,rfReplaceAll]);
    temp:=StringReplace(temp,'<TITRE1>','<A href=Help.htm#0><IMG SRC=gohome.gif> '+Help_retoursommaire+' <IMG SRC=gohome.gif></A><BR><BR><BR><BR><BR><BR><HR><BR><BR><A name='+IntToStr(j)+'></A><H2><B>'+IntToStr(j)+' - ',[rfIgnoreCase,rfReplaceAll]);
    temp:=StringReplace(temp,'</TITRE1>','</B></H2><BR><BR><CENTER><IMG border=2 src='+IntToStr(j)+'.bmp></CENTER><BR>',[rfIgnoreCase,rfReplaceAll]);
    Memo2.Lines[i]:=temp;
  end;

  Memo3.Lines.Add('</BLOCKQUOTE><BR><BR><BR><BR><BR><HR><BR><BR><BR><BR><BR><BR>');
  Memo3.Lines.AddStrings(Memo2.Lines);
  Memo3.Lines.SaveToFile('Help.htm');

  ShellExecute(0, nil, PChar('Help.htm'),nil, nil, SW_SHOW);
 end;
end;

procedure TForm6.LabelURL3Click(Sender: TObject);
var
  i:integer;
begin
  ChDir(Form1.TempRep);
  if ((Form1.Langue='fr') or (Form1.Langue='pt_br') or (Form1.Langue='it')) then
    Form1.decompresserFichier('readme_'+Form1.Langue+'_txt', 'readme.txt')
  else
    Form1.decompresserFichier('readme_en_txt', 'readme.txt');
  Memo1.Lines.Clear;
  Memo1.Lines.LoadFromFile('readme.txt');
  for i:=0 to Min(10,Memo1.Lines.Count-1) do
  begin
    if StrPos(PChar(Memo1.Lines[i]),PChar('##VERSION##'))<>nil then
      Memo1.Lines[i]:=StringReplace(Memo1.Lines[i],'##VERSION##',Form1.Version,[rfReplaceAll]);
  end;
  DeleteFile('readme.txt');
end;

procedure TForm6.Image4Click(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('http://www.ppccool.com'), nil, nil, SW_SHOW);
end;

procedure TForm6.dxButton5Click(Sender: TObject);
var
  Reg:TRegistry;
  Bureau:string;
begin
  Reg := TRegistry.Create;
  try
    Reg.RootKey := HKEY_CURRENT_USER;
    if Reg.OpenKey('\software\microsoft\windows\currentversion\explorer\shell folders', True) then
      Bureau:= Reg.ReadString('Desktop');
  finally
    Reg.CloseKey;
    Reg.Free;
  end;
  if (Bureau[length(Bureau)]<>'\') then
    Bureau:=Bureau+'\';
  Bui_CreerRacourci(Application.ExeName,'',Bureau+'PocketDivXEncoder','PocketDivXEncoder','','',0);
end;

end.
